<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Optimax;


trait IconTrait {
  public static function get_icons()
  {
    return array_merge(
      self::get_flaticon_icons(),
      self::get_flaticon_digital_icons(),
      self::get_flaticon_seo_icons(),
      self::get_font_awesome_5_icons()
    );
  }
  public static function get_flaticon_icons()
  {
    return [
      "flaticon-profile" => "profile",
      "flaticon-magnifying-glass" => "magnifying-glass",
      "flaticon-back" => "back",
      "flaticon-left-arrow" => "left-arrow",
      "flaticon-next" => "next",
      "flaticon-right-arrow" => "right-arrow",
      "flaticon-play-arrow" => "play-arrow",
      "flaticon-play-button" => "play-button",
      "flaticon-chevron" => "chevron",
      "flaticon-up-arrow" => "up-arrow",
      "flaticon-email" => "email",
      "flaticon-website" => "website",
      "flaticon-note" => "note",
      "flaticon-pay-per-click" => "pay-per-click",
      "flaticon-mega-marketing" => "mega-marketing",
      "flaticon-analytics" => "analytics",
      "flaticon-startup" => "startup",
      "flaticon-review" => "review",
      "flaticon-mail" => "mail",
      "flaticon-telephone-handle-silhouette" => "telephone-handle-silhouette",
      "flaticon-call-answer" => "call-answer",
      "flaticon-maps-and-flags" => "maps-and-flags",
      "flaticon-data" => "data",
      "flaticon-www" => "www",
      "flaticon-report" => "report",
      "flaticon-worldwide" => "worldwide",
      "flaticon-content" => "content",
      "flaticon-information" => "information",
    ];
  }


  static function get_flaticon_digital_icons()
  {
    return [
      "flaticon-digital-001-cloud-network" => "cloud-network",
      "flaticon-digital-002-pay-per-click" => "pay-per-click",
      "flaticon-digital-003-pawn" => "pawn",
      "flaticon-digital-004-video-player" => "video-player",
      "flaticon-digital-005-microphone" => "microphone",
      "flaticon-digital-006-premium" => "premium",
      "flaticon-digital-007-location" => "location",
      "flaticon-digital-008-briefcase" => "briefcase",
      "flaticon-digital-009-strong-box" => "strong-box",
      "flaticon-digital-010-megaphone" => "megaphone",
      "flaticon-digital-011-mobile" => "mobile",
      "flaticon-digital-012-visibility" => "visibility",
      "flaticon-digital-013-mobile-payment" => "mobile-payment",
      "flaticon-digital-014-calculator" => "calculator",
      "flaticon-digital-015-camera" => "camera",
      "flaticon-digital-016-browser" => "browser",
      "flaticon-digital-017-configuration" => "configuration",
      "flaticon-digital-018-idea" => "idea",
      "flaticon-digital-019-target" => "target",
      "flaticon-digital-020-email" => "email",
      "flaticon-digital-021-browser" => "browser",
      "flaticon-digital-022-browser" => "browser",
      "flaticon-digital-023-browser" => "browser",
      "flaticon-digital-024-browser" => "browser",
      "flaticon-digital-025-analytics" => "analytics",
      "flaticon-digital-026-configuration" => "configuration",
      "flaticon-digital-027-pie-chart" => "pie-chart",
      "flaticon-digital-028-link" => "link",
      "flaticon-digital-029-settings" => "settings",
      "flaticon-digital-030-search" => "search",
      "flaticon-digital-031-link" => "link",
      "flaticon-digital-032-trophy" => "trophy",
      "flaticon-digital-033-calendar" => "calendar",
      "flaticon-digital-034-share" => "share",
      "flaticon-digital-035-rss" => "rss",
      "flaticon-digital-036-server" => "server",
      "flaticon-digital-037-id-card" => "id-card",
      "flaticon-digital-038-billboard" => "billboard",
      "flaticon-digital-039-circular-clock" => "circular-clock",
      "flaticon-digital-040-medal" => "medal",
      "flaticon-digital-041-browser" => "browser",
      "flaticon-digital-042-message" => "message",
      "flaticon-digital-043-shield" => "shield",
      "flaticon-digital-044-analytics" => "analytics",
      "flaticon-digital-045-cpu" => "cpu",
      "flaticon-digital-046-chat" => "chat",
      "flaticon-digital-047-placeholder" => "placeholder",
      "flaticon-digital-048-mailing" => "mailing",
      "flaticon-digital-049-telephone" => "telephone",
      "flaticon-digital-050-filter" => "filter",
    ];
  }

  static function get_flaticon_seo_icons()
  {
    return [
      "flaticon-seo-agreement" => "agreement",
      "flaticon-seo-badge" => "badge",
      "flaticon-seo-bar-chart" => "bar-chart",
      "flaticon-seo-bar-chart-1" => "bar-chart-1",
      "flaticon-seo-businessman" => "businessman",
      "flaticon-seo-businessman-1" => "businessman-1",
      "flaticon-seo-businessman-2" => "businessman-2",
      "flaticon-seo-businessman-3" => "businessman-3",
      "flaticon-seo-businessman-4" => "businessman-4",
      "flaticon-seo-businessman-5" => "businessman-5",
      "flaticon-seo-businessman-6" => "businessman-6",
      "flaticon-seo-businessman-7" => "businessman-7",
      "flaticon-seo-businesswoman" => "businesswoman",
      "flaticon-seo-businesswoman-1" => "businesswoman-1",
      "flaticon-seo-businesswoman-2" => "businesswoman-2",
      "flaticon-seo-businesswoman-3" => "businesswoman-3",
      "flaticon-seo-businesswoman-4" => "businesswoman-4",
      "flaticon-seo-chronometer" => "chronometer",
      "flaticon-seo-circular-chart" => "circular-chart",
      "flaticon-seo-cogwheel" => "cogwheel",
      "flaticon-seo-customer-service" => "customer-service",
      "flaticon-seo-group" => "group",
      "flaticon-seo-group-1" => "group-1",
      "flaticon-seo-group-2" => "group-2",
      "flaticon-seo-group-3" => "group-3",
      "flaticon-seo-group-4" => "group-4",
      "flaticon-seo-head" => "head",
      "flaticon-seo-head-1" => "head-1",
      "flaticon-seo-head-2" => "head-2",
      "flaticon-seo-head-3" => "head-3",
      "flaticon-seo-hierarchical-structure" => "hierarchical-structure",
      "flaticon-seo-hierarchical-structure-1" => "hierarchical-structure-1",
      "flaticon-seo-hierarchical-structure-2" => "hierarchical-structure-2",
      "flaticon-seo-hierarchical-structure-3" => "hierarchical-structure-3",
      "flaticon-seo-hierarchical-structure-4" => "hierarchical-structure-4",
      "flaticon-seo-hierarchical-structure-5" => "hierarchical-structure-5",
      "flaticon-seo-hierarchical-structure-6" => "hierarchical-structure-6",
      "flaticon-seo-hierarchical-structure-7" => "hierarchical-structure-7",
      "flaticon-seo-hierarchical-structure-8" => "hierarchical-structure-8",
      "flaticon-seo-hierarchical-structure-9" => "hierarchical-structure-9",
      "flaticon-seo-id-card" => "id-card",
      "flaticon-seo-line-chart" => "line-chart",
      "flaticon-seo-loss" => "loss",
      "flaticon-seo-magnifying-glass" => "magnifying-glass",
      "flaticon-seo-magnifying-glass-1" => "magnifying-glass-1",
      "flaticon-seo-medal" => "medal",
      "flaticon-seo-medal-1" => "medal-1",
      "flaticon-seo-medal-2" => "medal-2",
      "flaticon-seo-networking" => "networking",
      "flaticon-seo-networking-1" => "networking-1",
      "flaticon-seo-panel" => "panel",
      "flaticon-seo-paper-plane" => "paper-plane",
      "flaticon-seo-percentage" => "percentage",
      "flaticon-seo-phone-call" => "phone-call",
      "flaticon-seo-phonebook" => "phonebook",
      "flaticon-seo-pie-chart" => "pie-chart",
      "flaticon-seo-pie-chart-1" => "pie-chart-1",
      "flaticon-seo-placeholder" => "placeholder",
      "flaticon-seo-scheme" => "scheme",
      "flaticon-seo-scheme-1" => "scheme-1",
      "flaticon-seo-scheme-2" => "scheme-2",
      "flaticon-seo-settings" => "settings",
      "flaticon-seo-settings-1" => "settings-1",
      "flaticon-seo-settings-2" => "settings-2",
      "flaticon-seo-settings-3" => "settings-3",
      "flaticon-seo-settings-4" => "settings-4",
      "flaticon-seo-shopping-cart" => "shopping-cart",
      "flaticon-seo-speech-bubble" => "speech-bubble",
      "flaticon-seo-speech-bubble-1" => "speech-bubble-1",
      "flaticon-seo-tag" => "tag",
      "flaticon-seo-tag-1" => "tag-1",
      "flaticon-seo-target" => "target",
      "flaticon-seo-target-1" => "target-1",
      "flaticon-seo-worldwide" => "worldwide",
      "flaticon-seo-wrench" => "wrench",
    ];
  }
  public static function get_font_awesome_5_icons() {
    return [
      "fab fa-500px" => "500px",
      "fab fa-accessible-icon" => "accessible-icon",
      "fab fa-accusoft" => "accusoft",
      "fab fa-acquisitions-incorporated" => "acquisitions-incorporated",
      "fas fa-ad" => "ad",
      "fas fa-address-book" => "address-book",
      "far fa-address-book" => "far-address-book",
      "fas fa-address-card" => "address-card",
      "far fa-address-card" => "far-address-card",
      "fas fa-adjust" => "adjust",
      "fab fa-adn" => "adn",
      "fab fa-adobe" => "adobe",
      "fab fa-adversal" => "adversal",
      "fab fa-affiliatetheme" => "affiliatetheme",
      "fas fa-air-freshener" => "air-freshener",
      "fab fa-airbnb" => "airbnb",
      "fab fa-algolia" => "algolia",
      "fas fa-align-center" => "align-center",
      "fas fa-align-justify" => "align-justify",
      "fas fa-align-left" => "align-left",
      "fas fa-align-right" => "align-right",
      "fab fa-alipay" => "alipay",
      "fas fa-allergies" => "allergies",
      "fab fa-amazon" => "amazon",
      "fab fa-amazon-pay" => "amazon-pay",
      "fas fa-ambulance" => "ambulance",
      "fas fa-american-sign-language-interpreting" => "american-sign-language-interpreting",
      "fab fa-amilia" => "amilia",
      "fas fa-anchor" => "anchor",
      "fab fa-android" => "android",
      "fab fa-angellist" => "angellist",
      "fas fa-angle-double-down" => "angle-double-down",
      "fas fa-angle-double-left" => "angle-double-left",
      "fas fa-angle-double-right" => "angle-double-right",
      "fas fa-angle-double-up" => "angle-double-up",
      "fas fa-angle-down" => "angle-down",
      "fas fa-angle-left" => "angle-left",
      "fas fa-angle-right" => "angle-right",
      "fas fa-angle-up" => "angle-up",
      "fas fa-angry" => "angry",
      "far fa-angry" => "far-angry",
      "fab fa-angrycreative" => "angrycreative",
      "fab fa-angular" => "angular",
      "fas fa-ankh" => "ankh",
      "fab fa-app-store" => "app-store",
      "fab fa-app-store-ios" => "app-store-ios",
      "fab fa-apper" => "apper",
      "fab fa-apple" => "apple",
      "fas fa-apple-alt" => "apple-alt",
      "fab fa-apple-pay" => "apple-pay",
      "fas fa-archive" => "archive",
      "fas fa-archway" => "archway",
      "fas fa-arrow-alt-circle-down" => "arrow-alt-circle-down",
      "far fa-arrow-alt-circle-down" => "far-arrow-alt-circle-down",
      "fas fa-arrow-alt-circle-left" => "arrow-alt-circle-left",
      "far fa-arrow-alt-circle-left" => "far-arrow-alt-circle-left",
      "fas fa-arrow-alt-circle-right" => "arrow-alt-circle-right",
      "far fa-arrow-alt-circle-right" => "far-arrow-alt-circle-right",
      "fas fa-arrow-alt-circle-up" => "arrow-alt-circle-up",
      "far fa-arrow-alt-circle-up" => "far-arrow-alt-circle-up",
      "fas fa-arrow-circle-down" => "arrow-circle-down",
      "fas fa-arrow-circle-left" => "arrow-circle-left",
      "fas fa-arrow-circle-right" => "arrow-circle-right",
      "fas fa-arrow-circle-up" => "arrow-circle-up",
      "fas fa-arrow-down" => "arrow-down",
      "fas fa-arrow-left" => "arrow-left",
      "fas fa-arrow-right" => "arrow-right",
      "fas fa-arrow-up" => "arrow-up",
      "fas fa-arrows-alt" => "arrows-alt",
      "fas fa-arrows-alt-h" => "arrows-alt-h",
      "fas fa-arrows-alt-v" => "arrows-alt-v",
      "fab fa-artstation" => "artstation",
      "fas fa-assistive-listening-systems" => "assistive-listening-systems",
      "fas fa-asterisk" => "asterisk",
      "fab fa-asymmetrik" => "asymmetrik",
      "fas fa-at" => "at",
      "fas fa-atlas" => "atlas",
      "fab fa-atlassian" => "atlassian",
      "fas fa-atom" => "atom",
      "fab fa-audible" => "audible",
      "fas fa-audio-description" => "audio-description",
      "fab fa-autoprefixer" => "autoprefixer",
      "fab fa-avianex" => "avianex",
      "fab fa-aviato" => "aviato",
      "fas fa-award" => "award",
      "fab fa-aws" => "aws",
      "fas fa-baby" => "baby",
      "fas fa-baby-carriage" => "baby-carriage",
      "fas fa-backspace" => "backspace",
      "fas fa-backward" => "backward",
      "fas fa-bacon" => "bacon",
      "fas fa-balance-scale" => "balance-scale",
      "fas fa-balance-scale-left" => "balance-scale-left",
      "fas fa-balance-scale-right" => "balance-scale-right",
      "fas fa-ban" => "ban",
      "fas fa-band-aid" => "band-aid",
      "fab fa-bandcamp" => "bandcamp",
      "fas fa-barcode" => "barcode",
      "fas fa-bars" => "bars",
      "fas fa-baseball-ball" => "baseball-ball",
      "fas fa-basketball-ball" => "basketball-ball",
      "fas fa-bath" => "bath",
      "fas fa-battery-empty" => "battery-empty",
      "fas fa-battery-full" => "battery-full",
      "fas fa-battery-half" => "battery-half",
      "fas fa-battery-quarter" => "battery-quarter",
      "fas fa-battery-three-quarters" => "battery-three-quarters",
      "fab fa-battle-net" => "battle-net",
      "fas fa-bed" => "bed",
      "fas fa-beer" => "beer",
      "fab fa-behance" => "behance",
      "fab fa-behance-square" => "behance-square",
      "fas fa-bell" => "bell",
      "far fa-bell" => "far-bell",
      "fas fa-bell-slash" => "bell-slash",
      "far fa-bell-slash" => "far-bell-slash",
      "fas fa-bezier-curve" => "bezier-curve",
      "fas fa-bible" => "bible",
      "fas fa-bicycle" => "bicycle",
      "fas fa-biking" => "biking",
      "fab fa-bimobject" => "bimobject",
      "fas fa-binoculars" => "binoculars",
      "fas fa-biohazard" => "biohazard",
      "fas fa-birthday-cake" => "birthday-cake",
      "fab fa-bitbucket" => "bitbucket",
      "fab fa-bitcoin" => "bitcoin",
      "fab fa-bity" => "bity",
      "fab fa-black-tie" => "black-tie",
      "fab fa-blackberry" => "blackberry",
      "fas fa-blender" => "blender",
      "fas fa-blender-phone" => "blender-phone",
      "fas fa-blind" => "blind",
      "fas fa-blog" => "blog",
      "fab fa-blogger" => "blogger",
      "fab fa-blogger-b" => "blogger-b",
      "fab fa-bluetooth" => "bluetooth",
      "fab fa-bluetooth-b" => "bluetooth-b",
      "fas fa-bold" => "bold",
      "fas fa-bolt" => "bolt",
      "fas fa-bomb" => "bomb",
      "fas fa-bone" => "bone",
      "fas fa-bong" => "bong",
      "fas fa-book" => "book",
      "fas fa-book-dead" => "book-dead",
      "fas fa-book-medical" => "book-medical",
      "fas fa-book-open" => "book-open",
      "fas fa-book-reader" => "book-reader",
      "fas fa-bookmark" => "bookmark",
      "far fa-bookmark" => "far-bookmark",
      "fab fa-bootstrap" => "bootstrap",
      "fas fa-border-all" => "border-all",
      "fas fa-border-none" => "border-none",
      "fas fa-border-style" => "border-style",
      "fas fa-bowling-ball" => "bowling-ball",
      "fas fa-box" => "box",
      "fas fa-box-open" => "box-open",
      "fas fa-boxes" => "boxes",
      "fas fa-braille" => "braille",
      "fas fa-brain" => "brain",
      "fas fa-bread-slice" => "bread-slice",
      "fas fa-briefcase" => "briefcase",
      "fas fa-briefcase-medical" => "briefcase-medical",
      "fas fa-broadcast-tower" => "broadcast-tower",
      "fas fa-broom" => "broom",
      "fas fa-brush" => "brush",
      "fab fa-btc" => "btc",
      "fab fa-buffer" => "buffer",
      "fas fa-bug" => "bug",
      "fas fa-building" => "building",
      "far fa-building" => "far-building",
      "fas fa-bullhorn" => "bullhorn",
      "fas fa-bullseye" => "bullseye",
      "fas fa-burn" => "burn",
      "fab fa-buromobelexperte" => "buromobelexperte",
      "fas fa-bus" => "bus",
      "fas fa-bus-alt" => "bus-alt",
      "fas fa-business-time" => "business-time",
      "fab fa-buysellads" => "buysellads",
      "fas fa-calculator" => "calculator",
      "fas fa-calendar" => "calendar",
      "far fa-calendar" => "far-calendar",
      "fas fa-calendar-alt" => "calendar-alt",
      "far fa-calendar-alt" => "far-calendar-alt",
      "fas fa-calendar-check" => "calendar-check",
      "far fa-calendar-check" => "far-calendar-check",
      "fas fa-calendar-day" => "calendar-day",
      "fas fa-calendar-minus" => "calendar-minus",
      "far fa-calendar-minus" => "far-calendar-minus",
      "fas fa-calendar-plus" => "calendar-plus",
      "far fa-calendar-plus" => "far-calendar-plus",
      "fas fa-calendar-times" => "calendar-times",
      "far fa-calendar-times" => "far-calendar-times",
      "fas fa-calendar-week" => "calendar-week",
      "fas fa-camera" => "camera",
      "fas fa-camera-retro" => "camera-retro",
      "fas fa-campground" => "campground",
      "fab fa-canadian-maple-leaf" => "canadian-maple-leaf",
      "fas fa-candy-cane" => "candy-cane",
      "fas fa-cannabis" => "cannabis",
      "fas fa-capsules" => "capsules",
      "fas fa-car" => "car",
      "fas fa-car-alt" => "car-alt",
      "fas fa-car-battery" => "car-battery",
      "fas fa-car-crash" => "car-crash",
      "fas fa-car-side" => "car-side",
      "fas fa-caret-down" => "caret-down",
      "fas fa-caret-left" => "caret-left",
      "fas fa-caret-right" => "caret-right",
      "fas fa-caret-square-down" => "caret-square-down",
      "far fa-caret-square-down" => "far-caret-square-down",
      "fas fa-caret-square-left" => "caret-square-left",
      "far fa-caret-square-left" => "far-caret-square-left",
      "fas fa-caret-square-right" => "caret-square-right",
      "far fa-caret-square-right" => "far-caret-square-right",
      "fas fa-caret-square-up" => "caret-square-up",
      "far fa-caret-square-up" => "far-caret-square-up",
      "fas fa-caret-up" => "caret-up",
      "fas fa-carrot" => "carrot",
      "fas fa-cart-arrow-down" => "cart-arrow-down",
      "fas fa-cart-plus" => "cart-plus",
      "fas fa-cash-register" => "cash-register",
      "fas fa-cat" => "cat",
      "fab fa-cc-amazon-pay" => "cc-amazon-pay",
      "fab fa-cc-amex" => "cc-amex",
      "fab fa-cc-apple-pay" => "cc-apple-pay",
      "fab fa-cc-diners-club" => "cc-diners-club",
      "fab fa-cc-discover" => "cc-discover",
      "fab fa-cc-jcb" => "cc-jcb",
      "fab fa-cc-mastercard" => "cc-mastercard",
      "fab fa-cc-paypal" => "cc-paypal",
      "fab fa-cc-stripe" => "cc-stripe",
      "fab fa-cc-visa" => "cc-visa",
      "fab fa-centercode" => "centercode",
      "fab fa-centos" => "centos",
      "fas fa-certificate" => "certificate",
      "fas fa-chair" => "chair",
      "fas fa-chalkboard" => "chalkboard",
      "fas fa-chalkboard-teacher" => "chalkboard-teacher",
      "fas fa-charging-station" => "charging-station",
      "fas fa-chart-area" => "chart-area",
      "fas fa-chart-bar" => "chart-bar",
      "far fa-chart-bar" => "far-chart-bar",
      "fas fa-chart-line" => "chart-line",
      "fas fa-chart-pie" => "chart-pie",
      "fas fa-check" => "check",
      "fas fa-check-circle" => "check-circle",
      "far fa-check-circle" => "far-check-circle",
      "fas fa-check-double" => "check-double",
      "fas fa-check-square" => "check-square",
      "far fa-check-square" => "far-check-square",
      "fas fa-cheese" => "cheese",
      "fas fa-chess" => "chess",
      "fas fa-chess-bishop" => "chess-bishop",
      "fas fa-chess-board" => "chess-board",
      "fas fa-chess-king" => "chess-king",
      "fas fa-chess-knight" => "chess-knight",
      "fas fa-chess-pawn" => "chess-pawn",
      "fas fa-chess-queen" => "chess-queen",
      "fas fa-chess-rook" => "chess-rook",
      "fas fa-chevron-circle-down" => "chevron-circle-down",
      "fas fa-chevron-circle-left" => "chevron-circle-left",
      "fas fa-chevron-circle-right" => "chevron-circle-right",
      "fas fa-chevron-circle-up" => "chevron-circle-up",
      "fas fa-chevron-down" => "chevron-down",
      "fas fa-chevron-left" => "chevron-left",
      "fas fa-chevron-right" => "chevron-right",
      "fas fa-chevron-up" => "chevron-up",
      "fas fa-child" => "child",
      "fab fa-chrome" => "chrome",
      "fab fa-chromecast" => "chromecast",
      "fas fa-church" => "church",
      "fas fa-circle" => "circle",
      "far fa-circle" => "far-circle",
      "fas fa-circle-notch" => "circle-notch",
      "fas fa-city" => "city",
      "fas fa-clinic-medical" => "clinic-medical",
      "fas fa-clipboard" => "clipboard",
      "far fa-clipboard" => "far-clipboard",
      "fas fa-clipboard-check" => "clipboard-check",
      "fas fa-clipboard-list" => "clipboard-list",
      "fas fa-clock" => "clock",
      "far fa-clock" => "far-clock",
      "fas fa-clone" => "clone",
      "far fa-clone" => "far-clone",
      "fas fa-closed-captioning" => "closed-captioning",
      "far fa-closed-captioning" => "far-closed-captioning",
      "fas fa-cloud" => "cloud",
      "fas fa-cloud-download-alt" => "cloud-download-alt",
      "fas fa-cloud-meatball" => "cloud-meatball",
      "fas fa-cloud-moon" => "cloud-moon",
      "fas fa-cloud-moon-rain" => "cloud-moon-rain",
      "fas fa-cloud-rain" => "cloud-rain",
      "fas fa-cloud-showers-heavy" => "cloud-showers-heavy",
      "fas fa-cloud-sun" => "cloud-sun",
      "fas fa-cloud-sun-rain" => "cloud-sun-rain",
      "fas fa-cloud-upload-alt" => "cloud-upload-alt",
      "fab fa-cloudscale" => "cloudscale",
      "fab fa-cloudsmith" => "cloudsmith",
      "fab fa-cloudversify" => "cloudversify",
      "fas fa-cocktail" => "cocktail",
      "fas fa-code" => "code",
      "fas fa-code-branch" => "code-branch",
      "fab fa-codepen" => "codepen",
      "fab fa-codiepie" => "codiepie",
      "fas fa-coffee" => "coffee",
      "fas fa-cog" => "cog",
      "fas fa-cogs" => "cogs",
      "fas fa-coins" => "coins",
      "fas fa-columns" => "columns",
      "fas fa-comment" => "comment",
      "far fa-comment" => "far-comment",
      "fas fa-comment-alt" => "comment-alt",
      "far fa-comment-alt" => "far-comment-alt",
      "fas fa-comment-dollar" => "comment-dollar",
      "fas fa-comment-dots" => "comment-dots",
      "far fa-comment-dots" => "far-comment-dots",
      "fas fa-comment-medical" => "comment-medical",
      "fas fa-comment-slash" => "comment-slash",
      "fas fa-comments" => "comments",
      "far fa-comments" => "far-comments",
      "fas fa-comments-dollar" => "comments-dollar",
      "fas fa-compact-disc" => "compact-disc",
      "fas fa-compass" => "compass",
      "far fa-compass" => "far-compass",
      "fas fa-compress" => "compress",
      "fas fa-compress-arrows-alt" => "compress-arrows-alt",
      "fas fa-concierge-bell" => "concierge-bell",
      "fab fa-confluence" => "confluence",
      "fab fa-connectdevelop" => "connectdevelop",
      "fab fa-contao" => "contao",
      "fas fa-cookie" => "cookie",
      "fas fa-cookie-bite" => "cookie-bite",
      "fas fa-copy" => "copy",
      "far fa-copy" => "far-copy",
      "fas fa-copyright" => "copyright",
      "far fa-copyright" => "far-copyright",
      "fas fa-couch" => "couch",
      "fab fa-cpanel" => "cpanel",
      "fab fa-creative-commons" => "creative-commons",
      "fab fa-creative-commons-by" => "creative-commons-by",
      "fab fa-creative-commons-nc" => "creative-commons-nc",
      "fab fa-creative-commons-nc-eu" => "creative-commons-nc-eu",
      "fab fa-creative-commons-nc-jp" => "creative-commons-nc-jp",
      "fab fa-creative-commons-nd" => "creative-commons-nd",
      "fab fa-creative-commons-pd" => "creative-commons-pd",
      "fab fa-creative-commons-pd-alt" => "creative-commons-pd-alt",
      "fab fa-creative-commons-remix" => "creative-commons-remix",
      "fab fa-creative-commons-sa" => "creative-commons-sa",
      "fab fa-creative-commons-sampling" => "creative-commons-sampling",
      "fab fa-creative-commons-sampling-plus" => "creative-commons-sampling-plus",
      "fab fa-creative-commons-share" => "creative-commons-share",
      "fab fa-creative-commons-zero" => "creative-commons-zero",
      "fas fa-credit-card" => "credit-card",
      "far fa-credit-card" => "far-credit-card",
      "fab fa-critical-role" => "critical-role",
      "fas fa-crop" => "crop",
      "fas fa-crop-alt" => "crop-alt",
      "fas fa-cross" => "cross",
      "fas fa-crosshairs" => "crosshairs",
      "fas fa-crow" => "crow",
      "fas fa-crown" => "crown",
      "fas fa-crutch" => "crutch",
      "fab fa-css3" => "css3",
      "fab fa-css3-alt" => "css3-alt",
      "fas fa-cube" => "cube",
      "fas fa-cubes" => "cubes",
      "fas fa-cut" => "cut",
      "fab fa-cuttlefish" => "cuttlefish",
      "fab fa-d-and-d" => "d-and-d",
      "fab fa-d-and-d-beyond" => "d-and-d-beyond",
      "fab fa-dashcube" => "dashcube",
      "fas fa-database" => "database",
      "fas fa-deaf" => "deaf",
      "fab fa-delicious" => "delicious",
      "fas fa-democrat" => "democrat",
      "fab fa-deploydog" => "deploydog",
      "fab fa-deskpro" => "deskpro",
      "fas fa-desktop" => "desktop",
      "fab fa-dev" => "dev",
      "fab fa-deviantart" => "deviantart",
      "fas fa-dharmachakra" => "dharmachakra",
      "fab fa-dhl" => "dhl",
      "fas fa-diagnoses" => "diagnoses",
      "fab fa-diaspora" => "diaspora",
      "fas fa-dice" => "dice",
      "fas fa-dice-d20" => "dice-d20",
      "fas fa-dice-d6" => "dice-d6",
      "fas fa-dice-five" => "dice-five",
      "fas fa-dice-four" => "dice-four",
      "fas fa-dice-one" => "dice-one",
      "fas fa-dice-six" => "dice-six",
      "fas fa-dice-three" => "dice-three",
      "fas fa-dice-two" => "dice-two",
      "fab fa-digg" => "digg",
      "fab fa-digital-ocean" => "digital-ocean",
      "fas fa-digital-tachograph" => "digital-tachograph",
      "fas fa-directions" => "directions",
      "fab fa-discord" => "discord",
      "fab fa-discourse" => "discourse",
      "fas fa-divide" => "divide",
      "fas fa-dizzy" => "dizzy",
      "far fa-dizzy" => "far-dizzy",
      "fas fa-dna" => "dna",
      "fab fa-dochub" => "dochub",
      "fab fa-docker" => "docker",
      "fas fa-dog" => "dog",
      "fas fa-dollar-sign" => "dollar-sign",
      "fas fa-dolly" => "dolly",
      "fas fa-dolly-flatbed" => "dolly-flatbed",
      "fas fa-donate" => "donate",
      "fas fa-door-closed" => "door-closed",
      "fas fa-door-open" => "door-open",
      "fas fa-dot-circle" => "dot-circle",
      "far fa-dot-circle" => "far-dot-circle",
      "fas fa-dove" => "dove",
      "fas fa-download" => "download",
      "fab fa-draft2digital" => "draft2digital",
      "fas fa-drafting-compass" => "drafting-compass",
      "fas fa-dragon" => "dragon",
      "fas fa-draw-polygon" => "draw-polygon",
      "fab fa-dribbble" => "dribbble",
      "fab fa-dribbble-square" => "dribbble-square",
      "fab fa-dropbox" => "dropbox",
      "fas fa-drum" => "drum",
      "fas fa-drum-steelpan" => "drum-steelpan",
      "fas fa-drumstick-bite" => "drumstick-bite",
      "fab fa-drupal" => "drupal",
      "fas fa-dumbbell" => "dumbbell",
      "fas fa-dumpster" => "dumpster",
      "fas fa-dumpster-fire" => "dumpster-fire",
      "fas fa-dungeon" => "dungeon",
      "fab fa-dyalog" => "dyalog",
      "fab fa-earlybirds" => "earlybirds",
      "fab fa-ebay" => "ebay",
      "fab fa-edge" => "edge",
      "fas fa-edit" => "edit",
      "far fa-edit" => "far-edit",
      "fas fa-egg" => "egg",
      "fas fa-eject" => "eject",
      "fab fa-elementor" => "elementor",
      "fas fa-ellipsis-h" => "ellipsis-h",
      "fas fa-ellipsis-v" => "ellipsis-v",
      "fab fa-ello" => "ello",
      "fab fa-ember" => "ember",
      "fab fa-empire" => "empire",
      "fas fa-envelope" => "envelope",
      "far fa-envelope" => "far-envelope",
      "fas fa-envelope-open" => "envelope-open",
      "far fa-envelope-open" => "far-envelope-open",
      "fas fa-envelope-open-text" => "envelope-open-text",
      "fas fa-envelope-square" => "envelope-square",
      "fab fa-envira" => "envira",
      "fas fa-equals" => "equals",
      "fas fa-eraser" => "eraser",
      "fab fa-erlang" => "erlang",
      "fab fa-ethereum" => "ethereum",
      "fas fa-ethernet" => "ethernet",
      "fab fa-etsy" => "etsy",
      "fas fa-euro-sign" => "euro-sign",
      "fab fa-evernote" => "evernote",
      "fas fa-exchange-alt" => "exchange-alt",
      "fas fa-exclamation" => "exclamation",
      "fas fa-exclamation-circle" => "exclamation-circle",
      "fas fa-exclamation-triangle" => "exclamation-triangle",
      "fas fa-expand" => "expand",
      "fas fa-expand-arrows-alt" => "expand-arrows-alt",
      "fab fa-expeditedssl" => "expeditedssl",
      "fas fa-external-link-alt" => "external-link-alt",
      "fas fa-external-link-square-alt" => "external-link-square-alt",
      "fas fa-eye" => "eye",
      "far fa-eye" => "far-eye",
      "fas fa-eye-dropper" => "eye-dropper",
      "fas fa-eye-slash" => "eye-slash",
      "far fa-eye-slash" => "far-eye-slash",
      "fab fa-facebook" => "facebook",
      "fab fa-facebook-f" => "facebook-f",
      "fab fa-facebook-messenger" => "facebook-messenger",
      "fab fa-facebook-square" => "facebook-square",
      "fas fa-fan" => "fan",
      "fab fa-fantasy-flight-games" => "fantasy-flight-games",
      "fas fa-fast-backward" => "fast-backward",
      "fas fa-fast-forward" => "fast-forward",
      "fas fa-fax" => "fax",
      "fas fa-feather" => "feather",
      "fas fa-feather-alt" => "feather-alt",
      "fab fa-fedex" => "fedex",
      "fab fa-fedora" => "fedora",
      "fas fa-female" => "female",
      "fas fa-fighter-jet" => "fighter-jet",
      "fab fa-figma" => "figma",
      "fas fa-file" => "file",
      "far fa-file" => "far-file",
      "fas fa-file-alt" => "file-alt",
      "far fa-file-alt" => "far-file-alt",
      "fas fa-file-archive" => "file-archive",
      "far fa-file-archive" => "far-file-archive",
      "fas fa-file-audio" => "file-audio",
      "far fa-file-audio" => "far-file-audio",
      "fas fa-file-code" => "file-code",
      "far fa-file-code" => "far-file-code",
      "fas fa-file-contract" => "file-contract",
      "fas fa-file-csv" => "file-csv",
      "fas fa-file-download" => "file-download",
      "fas fa-file-excel" => "file-excel",
      "far fa-file-excel" => "far-file-excel",
      "fas fa-file-export" => "file-export",
      "fas fa-file-image" => "file-image",
      "far fa-file-image" => "far-file-image",
      "fas fa-file-import" => "file-import",
      "fas fa-file-invoice" => "file-invoice",
      "fas fa-file-invoice-dollar" => "file-invoice-dollar",
      "fas fa-file-medical" => "file-medical",
      "fas fa-file-medical-alt" => "file-medical-alt",
      "fas fa-file-pdf" => "file-pdf",
      "far fa-file-pdf" => "far-file-pdf",
      "fas fa-file-powerpoint" => "file-powerpoint",
      "far fa-file-powerpoint" => "far-file-powerpoint",
      "fas fa-file-prescription" => "file-prescription",
      "fas fa-file-signature" => "file-signature",
      "fas fa-file-upload" => "file-upload",
      "fas fa-file-video" => "file-video",
      "far fa-file-video" => "far-file-video",
      "fas fa-file-word" => "file-word",
      "far fa-file-word" => "far-file-word",
      "fas fa-fill" => "fill",
      "fas fa-fill-drip" => "fill-drip",
      "fas fa-film" => "film",
      "fas fa-filter" => "filter",
      "fas fa-fingerprint" => "fingerprint",
      "fas fa-fire" => "fire",
      "fas fa-fire-alt" => "fire-alt",
      "fas fa-fire-extinguisher" => "fire-extinguisher",
      "fab fa-firefox" => "firefox",
      "fas fa-first-aid" => "first-aid",
      "fab fa-first-order" => "first-order",
      "fab fa-first-order-alt" => "first-order-alt",
      "fab fa-firstdraft" => "firstdraft",
      "fas fa-fish" => "fish",
      "fas fa-fist-raised" => "fist-raised",
      "fas fa-flag" => "flag",
      "far fa-flag" => "far-flag",
      "fas fa-flag-checkered" => "flag-checkered",
      "fas fa-flag-usa" => "flag-usa",
      "fas fa-flask" => "flask",
      "fab fa-flickr" => "flickr",
      "fab fa-flipboard" => "flipboard",
      "fas fa-flushed" => "flushed",
      "far fa-flushed" => "far-flushed",
      "fab fa-fly" => "fly",
      "fas fa-folder" => "folder",
      "far fa-folder" => "far-folder",
      "fas fa-folder-minus" => "folder-minus",
      "fas fa-folder-open" => "folder-open",
      "far fa-folder-open" => "far-folder-open",
      "fas fa-folder-plus" => "folder-plus",
      "fas fa-font" => "font",
      "fab fa-font-awesome" => "font-awesome",
      "fab fa-font-awesome-alt" => "font-awesome-alt",
      "fab fa-font-awesome-flag" => "font-awesome-flag",
      "fab fa-fonticons" => "fonticons",
      "fab fa-fonticons-fi" => "fonticons-fi",
      "fas fa-football-ball" => "football-ball",
      "fab fa-fort-awesome" => "fort-awesome",
      "fab fa-fort-awesome-alt" => "fort-awesome-alt",
      "fab fa-forumbee" => "forumbee",
      "fas fa-forward" => "forward",
      "fab fa-foursquare" => "foursquare",
      "fab fa-free-code-camp" => "free-code-camp",
      "fab fa-freebsd" => "freebsd",
      "fas fa-frog" => "frog",
      "fas fa-frown" => "frown",
      "far fa-frown" => "far-frown",
      "fas fa-frown-open" => "frown-open",
      "far fa-frown-open" => "far-frown-open",
      "fab fa-fulcrum" => "fulcrum",
      "fas fa-funnel-dollar" => "funnel-dollar",
      "fas fa-futbol" => "futbol",
      "far fa-futbol" => "far-futbol",
      "fab fa-galactic-republic" => "galactic-republic",
      "fab fa-galactic-senate" => "galactic-senate",
      "fas fa-gamepad" => "gamepad",
      "fas fa-gas-pump" => "gas-pump",
      "fas fa-gavel" => "gavel",
      "fas fa-gem" => "gem",
      "far fa-gem" => "far-gem",
      "fas fa-genderless" => "genderless",
      "fab fa-get-pocket" => "get-pocket",
      "fab fa-gg" => "gg",
      "fab fa-gg-circle" => "gg-circle",
      "fas fa-ghost" => "ghost",
      "fas fa-gift" => "gift",
      "fas fa-gifts" => "gifts",
      "fab fa-git" => "git",
      "fab fa-git-alt" => "git-alt",
      "fab fa-git-square" => "git-square",
      "fab fa-github" => "github",
      "fab fa-github-alt" => "github-alt",
      "fab fa-github-square" => "github-square",
      "fab fa-gitkraken" => "gitkraken",
      "fab fa-gitlab" => "gitlab",
      "fab fa-gitter" => "gitter",
      "fas fa-glass-cheers" => "glass-cheers",
      "fas fa-glass-martini" => "glass-martini",
      "fas fa-glass-martini-alt" => "glass-martini-alt",
      "fas fa-glass-whiskey" => "glass-whiskey",
      "fas fa-glasses" => "glasses",
      "fab fa-glide" => "glide",
      "fab fa-glide-g" => "glide-g",
      "fas fa-globe" => "globe",
      "fas fa-globe-africa" => "globe-africa",
      "fas fa-globe-americas" => "globe-americas",
      "fas fa-globe-asia" => "globe-asia",
      "fas fa-globe-europe" => "globe-europe",
      "fab fa-gofore" => "gofore",
      "fas fa-golf-ball" => "golf-ball",
      "fab fa-goodreads" => "goodreads",
      "fab fa-goodreads-g" => "goodreads-g",
      "fab fa-google" => "google",
      "fab fa-google-drive" => "google-drive",
      "fab fa-google-play" => "google-play",
      "fab fa-google-plus" => "google-plus",
      "fab fa-google-plus-g" => "google-plus-g",
      "fab fa-google-plus-square" => "google-plus-square",
      "fab fa-google-wallet" => "google-wallet",
      "fas fa-gopuram" => "gopuram",
      "fas fa-graduation-cap" => "graduation-cap",
      "fab fa-gratipay" => "gratipay",
      "fab fa-grav" => "grav",
      "fas fa-greater-than" => "greater-than",
      "fas fa-greater-than-equal" => "greater-than-equal",
      "fas fa-grimace" => "grimace",
      "far fa-grimace" => "far-grimace",
      "fas fa-grin" => "grin",
      "far fa-grin" => "far-grin",
      "fas fa-grin-alt" => "grin-alt",
      "far fa-grin-alt" => "far-grin-alt",
      "fas fa-grin-beam" => "grin-beam",
      "far fa-grin-beam" => "far-grin-beam",
      "fas fa-grin-beam-sweat" => "grin-beam-sweat",
      "far fa-grin-beam-sweat" => "far-grin-beam-sweat",
      "fas fa-grin-hearts" => "grin-hearts",
      "far fa-grin-hearts" => "far-grin-hearts",
      "fas fa-grin-squint" => "grin-squint",
      "far fa-grin-squint" => "far-grin-squint",
      "fas fa-grin-squint-tears" => "grin-squint-tears",
      "far fa-grin-squint-tears" => "far-grin-squint-tears",
      "fas fa-grin-stars" => "grin-stars",
      "far fa-grin-stars" => "far-grin-stars",
      "fas fa-grin-tears" => "grin-tears",
      "far fa-grin-tears" => "far-grin-tears",
      "fas fa-grin-tongue" => "grin-tongue",
      "far fa-grin-tongue" => "far-grin-tongue",
      "fas fa-grin-tongue-squint" => "grin-tongue-squint",
      "far fa-grin-tongue-squint" => "far-grin-tongue-squint",
      "fas fa-grin-tongue-wink" => "grin-tongue-wink",
      "far fa-grin-tongue-wink" => "far-grin-tongue-wink",
      "fas fa-grin-wink" => "grin-wink",
      "far fa-grin-wink" => "far-grin-wink",
      "fas fa-grip-horizontal" => "grip-horizontal",
      "fas fa-grip-lines" => "grip-lines",
      "fas fa-grip-lines-vertical" => "grip-lines-vertical",
      "fas fa-grip-vertical" => "grip-vertical",
      "fab fa-gripfire" => "gripfire",
      "fab fa-grunt" => "grunt",
      "fas fa-guitar" => "guitar",
      "fab fa-gulp" => "gulp",
      "fas fa-h-square" => "h-square",
      "fab fa-hacker-news" => "hacker-news",
      "fab fa-hacker-news-square" => "hacker-news-square",
      "fab fa-hackerrank" => "hackerrank",
      "fas fa-hamburger" => "hamburger",
      "fas fa-hammer" => "hammer",
      "fas fa-hamsa" => "hamsa",
      "fas fa-hand-holding" => "hand-holding",
      "fas fa-hand-holding-heart" => "hand-holding-heart",
      "fas fa-hand-holding-usd" => "hand-holding-usd",
      "fas fa-hand-lizard" => "hand-lizard",
      "far fa-hand-lizard" => "far-hand-lizard",
      "fas fa-hand-middle-finger" => "hand-middle-finger",
      "fas fa-hand-paper" => "hand-paper",
      "far fa-hand-paper" => "far-hand-paper",
      "fas fa-hand-peace" => "hand-peace",
      "far fa-hand-peace" => "far-hand-peace",
      "fas fa-hand-point-down" => "hand-point-down",
      "far fa-hand-point-down" => "far-hand-point-down",
      "fas fa-hand-point-left" => "hand-point-left",
      "far fa-hand-point-left" => "far-hand-point-left",
      "fas fa-hand-point-right" => "hand-point-right",
      "far fa-hand-point-right" => "far-hand-point-right",
      "fas fa-hand-point-up" => "hand-point-up",
      "far fa-hand-point-up" => "far-hand-point-up",
      "fas fa-hand-pointer" => "hand-pointer",
      "far fa-hand-pointer" => "far-hand-pointer",
      "fas fa-hand-rock" => "hand-rock",
      "far fa-hand-rock" => "far-hand-rock",
      "fas fa-hand-scissors" => "hand-scissors",
      "far fa-hand-scissors" => "far-hand-scissors",
      "fas fa-hand-spock" => "hand-spock",
      "far fa-hand-spock" => "far-hand-spock",
      "fas fa-hands" => "hands",
      "fas fa-hands-helping" => "hands-helping",
      "fas fa-handshake" => "handshake",
      "far fa-handshake" => "far-handshake",
      "fas fa-hanukiah" => "hanukiah",
      "fas fa-hard-hat" => "hard-hat",
      "fas fa-hashtag" => "hashtag",
      "fas fa-hat-wizard" => "hat-wizard",
      "fas fa-haykal" => "haykal",
      "fas fa-hdd" => "hdd",
      "far fa-hdd" => "far-hdd",
      "fas fa-heading" => "heading",
      "fas fa-headphones" => "headphones",
      "fas fa-headphones-alt" => "headphones-alt",
      "fas fa-headset" => "headset",
      "fas fa-heart" => "heart",
      "far fa-heart" => "far-heart",
      "fas fa-heart-broken" => "heart-broken",
      "fas fa-heartbeat" => "heartbeat",
      "fas fa-helicopter" => "helicopter",
      "fas fa-highlighter" => "highlighter",
      "fas fa-hiking" => "hiking",
      "fas fa-hippo" => "hippo",
      "fab fa-hips" => "hips",
      "fab fa-hire-a-helper" => "hire-a-helper",
      "fas fa-history" => "history",
      "fas fa-hockey-puck" => "hockey-puck",
      "fas fa-holly-berry" => "holly-berry",
      "fas fa-home" => "home",
      "fab fa-hooli" => "hooli",
      "fab fa-hornbill" => "hornbill",
      "fas fa-horse" => "horse",
      "fas fa-horse-head" => "horse-head",
      "fas fa-hospital" => "hospital",
      "far fa-hospital" => "far-hospital",
      "fas fa-hospital-alt" => "hospital-alt",
      "fas fa-hospital-symbol" => "hospital-symbol",
      "fas fa-hot-tub" => "hot-tub",
      "fas fa-hotdog" => "hotdog",
      "fas fa-hotel" => "hotel",
      "fab fa-hotjar" => "hotjar",
      "fas fa-hourglass" => "hourglass",
      "far fa-hourglass" => "far-hourglass",
      "fas fa-hourglass-end" => "hourglass-end",
      "fas fa-hourglass-half" => "hourglass-half",
      "fas fa-hourglass-start" => "hourglass-start",
      "fas fa-house-damage" => "house-damage",
      "fab fa-houzz" => "houzz",
      "fas fa-hryvnia" => "hryvnia",
      "fab fa-html5" => "html5",
      "fab fa-hubspot" => "hubspot",
      "fas fa-i-cursor" => "i-cursor",
      "fas fa-ice-cream" => "ice-cream",
      "fas fa-icicles" => "icicles",
      "fas fa-icons" => "icons",
      "fas fa-id-badge" => "id-badge",
      "far fa-id-badge" => "far-id-badge",
      "fas fa-id-card" => "id-card",
      "far fa-id-card" => "far-id-card",
      "fas fa-id-card-alt" => "id-card-alt",
      "fas fa-igloo" => "igloo",
      "fas fa-image" => "image",
      "far fa-image" => "far-image",
      "fas fa-images" => "images",
      "far fa-images" => "far-images",
      "fab fa-imdb" => "imdb",
      "fas fa-inbox" => "inbox",
      "fas fa-indent" => "indent",
      "fas fa-industry" => "industry",
      "fas fa-infinity" => "infinity",
      "fas fa-info" => "info",
      "fas fa-info-circle" => "info-circle",
      "fab fa-instagram" => "instagram",
      "fab fa-intercom" => "intercom",
      "fab fa-internet-explorer" => "internet-explorer",
      "fab fa-invision" => "invision",
      "fab fa-ioxhost" => "ioxhost",
      "fas fa-italic" => "italic",
      "fab fa-itch-io" => "itch-io",
      "fab fa-itunes" => "itunes",
      "fab fa-itunes-note" => "itunes-note",
      "fab fa-java" => "java",
      "fas fa-jedi" => "jedi",
      "fab fa-jedi-order" => "jedi-order",
      "fab fa-jenkins" => "jenkins",
      "fab fa-jira" => "jira",
      "fab fa-joget" => "joget",
      "fas fa-joint" => "joint",
      "fab fa-joomla" => "joomla",
      "fas fa-journal-whills" => "journal-whills",
      "fab fa-js" => "js",
      "fab fa-js-square" => "js-square",
      "fab fa-jsfiddle" => "jsfiddle",
      "fas fa-kaaba" => "kaaba",
      "fab fa-kaggle" => "kaggle",
      "fas fa-key" => "key",
      "fab fa-keybase" => "keybase",
      "fas fa-keyboard" => "keyboard",
      "far fa-keyboard" => "far-keyboard",
      "fab fa-keycdn" => "keycdn",
      "fas fa-khanda" => "khanda",
      "fab fa-kickstarter" => "kickstarter",
      "fab fa-kickstarter-k" => "kickstarter-k",
      "fas fa-kiss" => "kiss",
      "far fa-kiss" => "far-kiss",
      "fas fa-kiss-beam" => "kiss-beam",
      "far fa-kiss-beam" => "far-kiss-beam",
      "fas fa-kiss-wink-heart" => "kiss-wink-heart",
      "far fa-kiss-wink-heart" => "far-kiss-wink-heart",
      "fas fa-kiwi-bird" => "kiwi-bird",
      "fab fa-korvue" => "korvue",
      "fas fa-landmark" => "landmark",
      "fas fa-language" => "language",
      "fas fa-laptop" => "laptop",
      "fas fa-laptop-code" => "laptop-code",
      "fas fa-laptop-medical" => "laptop-medical",
      "fab fa-laravel" => "laravel",
      "fab fa-lastfm" => "lastfm",
      "fab fa-lastfm-square" => "lastfm-square",
      "fas fa-laugh" => "laugh",
      "far fa-laugh" => "far-laugh",
      "fas fa-laugh-beam" => "laugh-beam",
      "far fa-laugh-beam" => "far-laugh-beam",
      "fas fa-laugh-squint" => "laugh-squint",
      "far fa-laugh-squint" => "far-laugh-squint",
      "fas fa-laugh-wink" => "laugh-wink",
      "far fa-laugh-wink" => "far-laugh-wink",
      "fas fa-layer-group" => "layer-group",
      "fas fa-leaf" => "leaf",
      "fab fa-leanpub" => "leanpub",
      "fas fa-lemon" => "lemon",
      "far fa-lemon" => "far-lemon",
      "fab fa-less" => "less",
      "fas fa-less-than" => "less-than",
      "fas fa-less-than-equal" => "less-than-equal",
      "fas fa-level-down-alt" => "level-down-alt",
      "fas fa-level-up-alt" => "level-up-alt",
      "fas fa-life-ring" => "life-ring",
      "far fa-life-ring" => "far-life-ring",
      "fas fa-lightbulb" => "lightbulb",
      "far fa-lightbulb" => "far-lightbulb",
      "fab fa-line" => "line",
      "fas fa-link" => "link",
      "fab fa-linkedin" => "linkedin",
      "fab fa-linkedin-in" => "linkedin-in",
      "fab fa-linode" => "linode",
      "fab fa-linux" => "linux",
      "fas fa-lira-sign" => "lira-sign",
      "fas fa-list" => "list",
      "fas fa-list-alt" => "list-alt",
      "far fa-list-alt" => "far-list-alt",
      "fas fa-list-ol" => "list-ol",
      "fas fa-list-ul" => "list-ul",
      "fas fa-location-arrow" => "location-arrow",
      "fas fa-lock" => "lock",
      "fas fa-lock-open" => "lock-open",
      "fas fa-long-arrow-alt-down" => "long-arrow-alt-down",
      "fas fa-long-arrow-alt-left" => "long-arrow-alt-left",
      "fas fa-long-arrow-alt-right" => "long-arrow-alt-right",
      "fas fa-long-arrow-alt-up" => "long-arrow-alt-up",
      "fas fa-low-vision" => "low-vision",
      "fas fa-luggage-cart" => "luggage-cart",
      "fab fa-lyft" => "lyft",
      "fab fa-magento" => "magento",
      "fas fa-magic" => "magic",
      "fas fa-magnet" => "magnet",
      "fas fa-mail-bulk" => "mail-bulk",
      "fab fa-mailchimp" => "mailchimp",
      "fas fa-male" => "male",
      "fab fa-mandalorian" => "mandalorian",
      "fas fa-map" => "map",
      "far fa-map" => "far-map",
      "fas fa-map-marked" => "map-marked",
      "fas fa-map-marked-alt" => "map-marked-alt",
      "fas fa-map-marker" => "map-marker",
      "fas fa-map-marker-alt" => "map-marker-alt",
      "fas fa-map-pin" => "map-pin",
      "fas fa-map-signs" => "map-signs",
      "fab fa-markdown" => "markdown",
      "fas fa-marker" => "marker",
      "fas fa-mars" => "mars",
      "fas fa-mars-double" => "mars-double",
      "fas fa-mars-stroke" => "mars-stroke",
      "fas fa-mars-stroke-h" => "mars-stroke-h",
      "fas fa-mars-stroke-v" => "mars-stroke-v",
      "fas fa-mask" => "mask",
      "fab fa-mastodon" => "mastodon",
      "fab fa-maxcdn" => "maxcdn",
      "fas fa-medal" => "medal",
      "fab fa-medapps" => "medapps",
      "fab fa-medium" => "medium",
      "fab fa-medium-m" => "medium-m",
      "fas fa-medkit" => "medkit",
      "fab fa-medrt" => "medrt",
      "fab fa-meetup" => "meetup",
      "fab fa-megaport" => "megaport",
      "fas fa-meh" => "meh",
      "far fa-meh" => "far-meh",
      "fas fa-meh-blank" => "meh-blank",
      "far fa-meh-blank" => "far-meh-blank",
      "fas fa-meh-rolling-eyes" => "meh-rolling-eyes",
      "far fa-meh-rolling-eyes" => "far-meh-rolling-eyes",
      "fas fa-memory" => "memory",
      "fab fa-mendeley" => "mendeley",
      "fas fa-menorah" => "menorah",
      "fas fa-mercury" => "mercury",
      "fas fa-meteor" => "meteor",
      "fas fa-microchip" => "microchip",
      "fas fa-microphone" => "microphone",
      "fas fa-microphone-alt" => "microphone-alt",
      "fas fa-microphone-alt-slash" => "microphone-alt-slash",
      "fas fa-microphone-slash" => "microphone-slash",
      "fas fa-microscope" => "microscope",
      "fab fa-microsoft" => "microsoft",
      "fas fa-minus" => "minus",
      "fas fa-minus-circle" => "minus-circle",
      "fas fa-minus-square" => "minus-square",
      "far fa-minus-square" => "far-minus-square",
      "fas fa-mitten" => "mitten",
      "fab fa-mix" => "mix",
      "fab fa-mixcloud" => "mixcloud",
      "fab fa-mizuni" => "mizuni",
      "fas fa-mobile" => "mobile",
      "fas fa-mobile-alt" => "mobile-alt",
      "fab fa-modx" => "modx",
      "fab fa-monero" => "monero",
      "fas fa-money-bill" => "money-bill",
      "fas fa-money-bill-alt" => "money-bill-alt",
      "far fa-money-bill-alt" => "far-money-bill-alt",
      "fas fa-money-bill-wave" => "money-bill-wave",
      "fas fa-money-bill-wave-alt" => "money-bill-wave-alt",
      "fas fa-money-check" => "money-check",
      "fas fa-money-check-alt" => "money-check-alt",
      "fas fa-monument" => "monument",
      "fas fa-moon" => "moon",
      "far fa-moon" => "far-moon",
      "fas fa-mortar-pestle" => "mortar-pestle",
      "fas fa-mosque" => "mosque",
      "fas fa-motorcycle" => "motorcycle",
      "fas fa-mountain" => "mountain",
      "fas fa-mouse-pointer" => "mouse-pointer",
      "fas fa-mug-hot" => "mug-hot",
      "fas fa-music" => "music",
      "fab fa-napster" => "napster",
      "fab fa-neos" => "neos",
      "fas fa-network-wired" => "network-wired",
      "fas fa-neuter" => "neuter",
      "fas fa-newspaper" => "newspaper",
      "far fa-newspaper" => "far-newspaper",
      "fab fa-nimblr" => "nimblr",
      "fab fa-node" => "node",
      "fab fa-node-js" => "node-js",
      "fas fa-not-equal" => "not-equal",
      "fas fa-notes-medical" => "notes-medical",
      "fab fa-npm" => "npm",
      "fab fa-ns8" => "ns8",
      "fab fa-nutritionix" => "nutritionix",
      "fas fa-object-group" => "object-group",
      "far fa-object-group" => "far-object-group",
      "fas fa-object-ungroup" => "object-ungroup",
      "far fa-object-ungroup" => "far-object-ungroup",
      "fab fa-odnoklassniki" => "odnoklassniki",
      "fab fa-odnoklassniki-square" => "odnoklassniki-square",
      "fas fa-oil-can" => "oil-can",
      "fab fa-old-republic" => "old-republic",
      "fas fa-om" => "om",
      "fab fa-opencart" => "opencart",
      "fab fa-openid" => "openid",
      "fab fa-opera" => "opera",
      "fab fa-optin-monster" => "optin-monster",
      "fab fa-osi" => "osi",
      "fas fa-otter" => "otter",
      "fas fa-outdent" => "outdent",
      "fab fa-page4" => "page4",
      "fab fa-pagelines" => "pagelines",
      "fas fa-pager" => "pager",
      "fas fa-paint-brush" => "paint-brush",
      "fas fa-paint-roller" => "paint-roller",
      "fas fa-palette" => "palette",
      "fab fa-palfed" => "palfed",
      "fas fa-pallet" => "pallet",
      "fas fa-paper-plane" => "paper-plane",
      "far fa-paper-plane" => "far-paper-plane",
      "fas fa-paperclip" => "paperclip",
      "fas fa-parachute-box" => "parachute-box",
      "fas fa-paragraph" => "paragraph",
      "fas fa-parking" => "parking",
      "fas fa-passport" => "passport",
      "fas fa-pastafarianism" => "far-pastafarianism",
      "fas fa-paste" => "paste",
      "fab fa-patreon" => "patreon",
      "fas fa-pause" => "pause",
      "fas fa-pause-circle" => "pause-circle",
      "far fa-pause-circle" => "far-pause-circle",
      "fas fa-paw" => "paw",
      "fab fa-paypal" => "paypal",
      "fas fa-peace" => "peace",
      "fas fa-pen" => "pen",
      "fas fa-pen-alt" => "pen-alt",
      "fas fa-pen-fancy" => "pen-fancy",
      "fas fa-pen-nib" => "pen-nib",
      "fas fa-pen-square" => "pen-square",
      "fas fa-pencil-alt" => "pencil-alt",
      "fas fa-pencil-ruler" => "pencil-ruler",
      "fab fa-penny-arcade" => "penny-arcade",
      "fas fa-people-carry" => "people-carry",
      "fas fa-pepper-hot" => "pepper-hot",
      "fas fa-percent" => "percent",
      "fas fa-percentage" => "percentage",
      "fab fa-periscope" => "periscope",
      "fas fa-person-booth" => "person-booth",
      "fab fa-phabricator" => "phabricator",
      "fab fa-phoenix-framework" => "phoenix-framework",
      "fab fa-phoenix-squadron" => "phoenix-squadron",
      "fas fa-phone" => "phone",
      "fas fa-phone-alt" => "phone-alt",
      "fas fa-phone-slash" => "phone-slash",
      "fas fa-phone-square" => "phone-square",
      "fas fa-phone-square-alt" => "phone-square-alt",
      "fas fa-phone-volume" => "phone-volume",
      "fas fa-photo-video" => "photo-video",
      "fab fa-php" => "php",
      "fab fa-pied-piper" => "pied-piper",
      "fab fa-pied-piper-alt" => "pied-piper-alt",
      "fab fa-pied-piper-hat" => "pied-piper-hat",
      "fab fa-pied-piper-pp" => "pied-piper-pp",
      "fas fa-piggy-bank" => "piggy-bank",
      "fas fa-pills" => "pills",
      "fab fa-pinterest" => "pinterest",
      "fab fa-pinterest-p" => "pinterest-p",
      "fab fa-pinterest-square" => "pinterest-square",
      "fas fa-pizza-slice" => "pizza-slice",
      "fas fa-place-of-worship" => "place-of-worship",
      "fas fa-plane" => "plane",
      "fas fa-plane-arrival" => "plane-arrival",
      "fas fa-plane-departure" => "plane-departure",
      "fas fa-play" => "play",
      "fas fa-play-circle" => "play-circle",
      "far fa-play-circle" => "far-play-circle",
      "fab fa-playstation" => "playstation",
      "fas fa-plug" => "plug",
      "fas fa-plus" => "plus",
      "fas fa-plus-circle" => "plus-circle",
      "fas fa-plus-square" => "plus-square",
      "far fa-plus-square" => "far-plus-square",
      "fas fa-podcast" => "podcast",
      "fas fa-poll" => "poll",
      "fas fa-poll-h" => "poll-h",
      "fas fa-poo" => "poo",
      "fas fa-poo-storm" => "poo-storm",
      "fas fa-poop" => "poop",
      "fas fa-portrait" => "portrait",
      "fas fa-pound-sign" => "pound-sign",
      "fas fa-power-off" => "power-off",
      "fas fa-pray" => "pray",
      "fas fa-praying-hands" => "praying-hands",
      "fas fa-prescription" => "prescription",
      "fas fa-prescription-bottle" => "prescription-bottle",
      "fas fa-prescription-bottle-alt" => "prescription-bottle-alt",
      "fas fa-print" => "print",
      "fas fa-procedures" => "procedures",
      "fab fa-product-hunt" => "product-hunt",
      "fas fa-project-diagram" => "project-diagram",
      "fab fa-pushed" => "pushed",
      "fas fa-puzzle-piece" => "puzzle-piece",
      "fab fa-python" => "python",
      "fab fa-qq" => "qq",
      "fas fa-qrcode" => "qrcode",
      "fas fa-question" => "question",
      "fas fa-question-circle" => "question-circle",
      "far fa-question-circle" => "far-question-circle",
      "fas fa-quidditch" => "quidditch",
      "fab fa-quinscape" => "quinscape",
      "fab fa-quora" => "quora",
      "fas fa-quote-left" => "quote-left",
      "fas fa-quote-right" => "quote-right",
      "fas fa-quran" => "quran",
      "fab fa-r-project" => "r-project",
      "fas fa-radiation" => "radiation",
      "fas fa-radiation-alt" => "radiation-alt",
      "fas fa-rainbow" => "rainbow",
      "fas fa-random" => "random",
      "fab fa-raspberry-pi" => "raspberry-pi",
      "fab fa-ravelry" => "ravelry",
      "fab fa-react" => "react",
      "fab fa-reacteurope" => "reacteurope",
      "fab fa-readme" => "readme",
      "fab fa-rebel" => "rebel",
      "fas fa-receipt" => "receipt",
      "fas fa-recycle" => "recycle",
      "fab fa-red-river" => "red-river",
      "fab fa-reddit" => "reddit",
      "fab fa-reddit-alien" => "reddit-alien",
      "fab fa-reddit-square" => "reddit-square",
      "fab fa-redhat" => "redhat",
      "fas fa-redo" => "redo",
      "fas fa-redo-alt" => "redo-alt",
      "fas fa-registered" => "registered",
      "far fa-registered" => "far-registered",
      "fas fa-remove-format" => "remove-format",
      "fab fa-renren" => "renren",
      "fas fa-reply" => "reply",
      "fas fa-reply-all" => "reply-all",
      "fab fa-replyd" => "replyd",
      "fas fa-republican" => "republican",
      "fab fa-researchgate" => "researchgate",
      "fab fa-resolving" => "resolving",
      "fas fa-restroom" => "restroom",
      "fas fa-retweet" => "retweet",
      "fab fa-rev" => "rev",
      "fas fa-ribbon" => "ribbon",
      "fas fa-ring" => "ring",
      "fas fa-road" => "road",
      "fas fa-robot" => "robot",
      "fas fa-rocket" => "rocket",
      "fab fa-rocketchat" => "rocketchat",
      "fab fa-rockrms" => "rockrms",
      "fas fa-route" => "route",
      "fas fa-rss" => "rss",
      "fas fa-rss-square" => "rss-square",
      "fas fa-ruble-sign" => "ruble-sign",
      "fas fa-ruler" => "ruler",
      "fas fa-ruler-combined" => "ruler-combined",
      "fas fa-ruler-horizontal" => "ruler-horizontal",
      "fas fa-ruler-vertical" => "ruler-vertical",
      "fas fa-running" => "running",
      "fas fa-rupee-sign" => "rupee-sign",
      "fas fa-sad-cry" => "sad-cry",
      "far fa-sad-cry" => "far-sad-cry",
      "fas fa-sad-tear" => "sad-tear",
      "far fa-sad-tear" => "far-sad-tear",
      "fab fa-safari" => "far-safari",
      "fab fa-salesforce" => "salesforce",
      "fab fa-sass" => "sass",
      "fas fa-satellite" => "satellite",
      "fas fa-satellite-dish" => "satellite-dish",
      "fas fa-save" => "save",
      "far fa-save" => "far-save",
      "fab fa-schlix" => "schlix",
      "fas fa-school" => "school",
      "fas fa-screwdriver" => "screwdriver",
      "fab fa-scribd" => "scribd",
      "fas fa-scroll" => "scroll",
      "fas fa-sd-card" => "sd-card",
      "fas fa-search" => "search",
      "fas fa-search-dollar" => "search-dollar",
      "fas fa-search-location" => "search-location",
      "fas fa-search-minus" => "search-minus",
      "fas fa-search-plus" => "search-plus",
      "fab fa-searchengin" => "searchengin",
      "fas fa-seedling" => "seedling",
      "fab fa-sellcast" => "sellcast",
      "fab fa-sellsy" => "sellsy",
      "fas fa-server" => "server",
      "fab fa-servicestack" => "servicestack",
      "fas fa-shapes" => "shapes",
      "fas fa-share" => "share",
      "fas fa-share-alt" => "share-alt",
      "fas fa-share-alt-square" => "share-alt-square",
      "fas fa-share-square" => "share-square",
      "far fa-share-square" => "far-share-square",
      "fas fa-shekel-sign" => "shekel-sign",
      "fas fa-shield-alt" => "shield-alt",
      "fas fa-ship" => "ship",
      "fas fa-shipping-fast" => "shipping-fast",
      "fab fa-shirtsinbulk" => "shirtsinbulk",
      "fas fa-shoe-prints" => "shoe-prints",
      "fas fa-shopping-bag" => "shopping-bag",
      "fas fa-shopping-basket" => "shopping-basket",
      "fas fa-shopping-cart" => "shopping-cart",
      "fab fa-shopware" => "shopware",
      "fas fa-shower" => "shower",
      "fas fa-shuttle-van" => "shuttle-van",
      "fas fa-sign" => "sign",
      "fas fa-sign-in-alt" => "sign-in-alt",
      "fas fa-sign-language" => "sign-language",
      "fas fa-sign-out-alt" => "sign-out-alt",
      "fas fa-signal" => "signal",
      "fas fa-signature" => "signature",
      "fas fa-sim-card" => "sim-card",
      "fab fa-simplybuilt" => "simplybuilt",
      "fab fa-sistrix" => "sistrix",
      "fas fa-sitemap" => "sitemap",
      "fab fa-sith" => "sith",
      "fas fa-skating" => "skating",
      "fab fa-sketch" => "sketch",
      "fas fa-skiing" => "skiing",
      "fas fa-skiing-nordic" => "skiing-nordic",
      "fas fa-skull" => "skull",
      "fas fa-skull-crossbones" => "skull-crossbones",
      "fab fa-skyatlas" => "skyatlas",
      "fab fa-skype" => "skype",
      "fab fa-slack" => "slack",
      "fab fa-slack-hash" => "slack-hash",
      "fas fa-slash" => "slash",
      "fas fa-sleigh" => "sleigh",
      "fas fa-sliders-h" => "sliders-h",
      "fab fa-slideshare" => "slideshare",
      "fas fa-smile" => "smile",
      "far fa-smile" => "far-smile",
      "fas fa-smile-beam" => "smile-beam",
      "far fa-smile-beam" => "far-smile-beam",
      "fas fa-smile-wink" => "smile-wink",
      "far fa-smile-wink" => "far-smile-wink",
      "fas fa-smog" => "smog",
      "fas fa-smoking" => "smoking",
      "fas fa-smoking-ban" => "smoking-ban",
      "fas fa-sms" => "sms",
      "fab fa-snapchat" => "snapchat",
      "fab fa-snapchat-ghost" => "snapchat-ghost",
      "fab fa-snapchat-square" => "snapchat-square",
      "fas fa-snowboarding" => "snowboarding",
      "fas fa-snowflake" => "snowflake",
      "far fa-snowflake" => "far-snowflake",
      "fas fa-snowman" => "snowman",
      "fas fa-snowplow" => "snowplow",
      "fas fa-socks" => "socks",
      "fas fa-solar-panel" => "solar-panel",
      "fas fa-sort" => "sort",
      "fas fa-sort-alpha-down" => "sort-alpha-down",
      "fas fa-sort-alpha-down-alt" => "sort-alpha-down-alt",
      "fas fa-sort-alpha-up" => "sort-alpha-up",
      "fas fa-sort-alpha-up-alt" => "sort-alpha-up-alt",
      "fas fa-sort-amount-down" => "sort-amount-down",
      "fas fa-sort-amount-down-alt" => "sort-amount-down-alt",
      "fas fa-sort-amount-up" => "sort-amount-up",
      "fas fa-sort-amount-up-alt" => "sort-amount-up-alt",
      "fas fa-sort-down" => "sort-down",
      "fas fa-sort-numeric-down" => "sort-numeric-down",
      "fas fa-sort-numeric-down-alt" => "sort-numeric-down-alt",
      "fas fa-sort-numeric-up" => "sort-numeric-up",
      "fas fa-sort-numeric-up-alt" => "sort-numeric-up-alt",
      "fas fa-sort-up" => "sort-up",
      "fab fa-soundcloud" => "soundcloud",
      "fab fa-sourcetree" => "sourcetree",
      "fas fa-spa" => "spa",
      "fas fa-space-shuttle" => "space-shuttle",
      "fab fa-speakap" => "speakap",
      "fab fa-speaker-deck" => "speaker-deck",
      "fas fa-spell-check" => "spell-check",
      "fas fa-spider" => "spider",
      "fas fa-spinner" => "spinner",
      "fas fa-splotch" => "splotch",
      "fab fa-spotify" => "spotify",
      "fas fa-spray-can" => "spray-can",
      "fas fa-square" => "square",
      "far fa-square" => "far-square",
      "fas fa-square-full" => "square-full",
      "fas fa-square-root-alt" => "square-root-alt",
      "fab fa-squarespace" => "squarespace",
      "fab fa-stack-exchange" => "stack-exchange",
      "fab fa-stack-overflow" => "stack-overflow",
      "fab fa-stackpath" => "stackpath",
      "fas fa-stamp" => "stamp",
      "fas fa-star" => "star",
      "far fa-star" => "far-star",
      "fas fa-star-and-crescent" => "star-and-crescent",
      "fas fa-star-half" => "star-half",
      "far fa-star-half" => "far-star-half",
      "fas fa-star-half-alt" => "star-half-alt",
      "fas fa-star-of-david" => "star-of-david",
      "fas fa-star-of-life" => "star-of-life",
      "fab fa-staylinked" => "staylinked",
      "fab fa-steam" => "steam",
      "fab fa-steam-square" => "steam-square",
      "fab fa-steam-symbol" => "steam-symbol",
      "fas fa-step-backward" => "step-backward",
      "fas fa-step-forward" => "step-forward",
      "fas fa-stethoscope" => "stethoscope",
      "fab fa-sticker-mule" => "sticker-mule",
      "fas fa-sticky-note" => "sticky-note",
      "far fa-sticky-note" => "far-sticky-note",
      "fas fa-stop" => "stop",
      "fas fa-stop-circle" => "stop-circle",
      "far fa-stop-circle" => "far-stop-circle",
      "fas fa-stopwatch" => "stopwatch",
      "fas fa-store" => "store",
      "fas fa-store-alt" => "store-alt",
      "fab fa-strava" => "strava",
      "fas fa-stream" => "stream",
      "fas fa-street-view" => "street-view",
      "fas fa-strikethrough" => "strikethrough",
      "fab fa-stripe" => "stripe",
      "fab fa-stripe-s" => "stripe-s",
      "fas fa-stroopwafel" => "stroopwafel",
      "fab fa-studiovinari" => "studiovinari",
      "fab fa-stumbleupon" => "stumbleupon",
      "fab fa-stumbleupon-circle" => "stumbleupon-circle",
      "fas fa-subscript" => "subscript",
      "fas fa-subway" => "subway",
      "fas fa-suitcase" => "suitcase",
      "fas fa-suitcase-rolling" => "suitcase-rolling",
      "fas fa-sun" => "sun",
      "far fa-sun" => "far-sun",
      "fab fa-superpowers" => "superpowers",
      "fas fa-superscript" => "superscript",
      "fab fa-supple" => "supple",
      "fas fa-surprise" => "surprise",
      "far fa-surprise" => "far-surprise",
      "fab fa-suse" => "suse",
      "fas fa-swatchbook" => "swatchbook",
      "fas fa-swimmer" => "swimmer",
      "fas fa-swimming-pool" => "swimming-pool",
      "fab fa-symfony" => "symfony",
      "fas fa-synagogue" => "synagogue",
      "fas fa-sync" => "sync",
      "fas fa-sync-alt" => "sync-alt",
      "fas fa-syringe" => "syringe",
      "fas fa-table" => "table",
      "fas fa-table-tennis" => "table-tennis",
      "fas fa-tablet" => "tablet",
      "fas fa-tablet-alt" => "tablet-alt",
      "fas fa-tablets" => "tablets",
      "fas fa-tachometer-alt" => "tachometer-alt",
      "fas fa-tag" => "tag",
      "fas fa-tags" => "tags",
      "fas fa-tape" => "tape",
      "fas fa-tasks" => "tasks",
      "fas fa-taxi" => "taxi",
      "fab fa-teamspeak" => "teamspeak",
      "fas fa-teeth" => "teeth",
      "fas fa-teeth-open" => "teeth-open",
      "fab fa-telegram" => "telegram",
      "fab fa-telegram-plane" => "telegram-plane",
      "fas fa-temperature-high" => "temperature-high",
      "fas fa-temperature-low" => "temperature-low",
      "fab fa-tencent-weibo" => "tencent-weibo",
      "fas fa-tenge" => "tenge",
      "fas fa-terminal" => "terminal",
      "fas fa-text-height" => "text-height",
      "fas fa-text-width" => "text-width",
      "fas fa-th" => "th",
      "fas fa-th-large" => "th-large",
      "fas fa-th-list" => "th-list",
      "fab fa-the-red-yeti" => "the-red-yeti",
      "fas fa-theater-masks" => "theater-masks",
      "fab fa-themeco" => "themeco",
      "fab fa-themeisle" => "themeisle",
      "fas fa-thermometer" => "thermometer",
      "fas fa-thermometer-empty" => "thermometer-empty",
      "fas fa-thermometer-full" => "thermometer-full",
      "fas fa-thermometer-half" => "thermometer-half",
      "fas fa-thermometer-quarter" => "thermometer-quarter",
      "fas fa-thermometer-three-quarters" => "thermometer-three-quarters",
      "fab fa-think-peaks" => "think-peaks",
      "fas fa-thumbs-down" => "thumbs-down",
      "far fa-thumbs-down" => "far-thumbs-down",
      "fas fa-thumbs-up" => "thumbs-up",
      "far fa-thumbs-up" => "far-thumbs-up",
      "fas fa-thumbtack" => "thumbtack",
      "fas fa-ticket-alt" => "ticket-alt",
      "fas fa-times" => "times",
      "fas fa-times-circle" => "times-circle",
      "far fa-times-circle" => "far-times-circle",
      "fas fa-tint" => "tint",
      "fas fa-tint-slash" => "tint-slash",
      "fas fa-tired" => "tired",
      "far fa-tired" => "far-tired",
      "fas fa-toggle-off" => "toggle-off",
      "fas fa-toggle-on" => "toggle-on",
      "fas fa-toilet" => "toilet",
      "fas fa-toilet-paper" => "toilet-paper",
      "fas fa-toolbox" => "toolbox",
      "fas fa-tools" => "tools",
      "fas fa-tooth" => "tooth",
      "fas fa-torah" => "torah",
      "fas fa-torii-gate" => "torii-gate",
      "fas fa-tractor" => "tractor",
      "fab fa-trade-federation" => "trade-federation",
      "fas fa-trademark" => "trademark",
      "fas fa-traffic-light" => "traffic-light",
      "fas fa-train" => "train",
      "fas fa-tram" => "tram",
      "fas fa-transgender" => "transgender",
      "fas fa-transgender-alt" => "transgender-alt",
      "fas fa-trash" => "trash",
      "fas fa-trash-alt" => "trash-alt",
      "far fa-trash-alt" => "far-trash-alt",
      "fas fa-trash-restore" => "trash-restore",
      "fas fa-trash-restore-alt" => "trash-restore-alt",
      "fas fa-tree" => "tree",
      "fab fa-trello" => "trello",
      "fab fa-tripadvisor" => "tripadvisor",
      "fas fa-trophy" => "trophy",
      "fas fa-truck" => "truck",
      "fas fa-truck-loading" => "truck-loading",
      "fas fa-truck-monster" => "truck-monster",
      "fas fa-truck-moving" => "truck-moving",
      "fas fa-truck-pickup" => "truck-pickup",
      "fas fa-tshirt" => "tshirt",
      "fas fa-tty" => "tty",
      "fab fa-tumblr" => "tumblr",
      "fab fa-tumblr-square" => "tumblr-square",
      "fas fa-tv" => "tv",
      "fab fa-twitch" => "twitch",
      "fab fa-twitter" => "twitter",
      "fab fa-twitter-square" => "twitter-square",
      "fab fa-typo3" => "typo3",
      "fab fa-uber" => "uber",
      "fab fa-ubuntu" => "ubuntu",
      "fab fa-uikit" => "uikit",
      "fas fa-umbrella" => "umbrella",
      "fas fa-umbrella-beach" => "umbrella-beach",
      "fas fa-underline" => "underline",
      "fas fa-undo" => "undo",
      "fas fa-undo-alt" => "undo-alt",
      "fab fa-uniregistry" => "uniregistry",
      "fas fa-universal-access" => "universal-access",
      "fas fa-university" => "university",
      "fas fa-unlink" => "unlink",
      "fas fa-unlock" => "unlock",
      "fas fa-unlock-alt" => "unlock-alt",
      "fab fa-untappd" => "untappd",
      "fas fa-upload" => "upload",
      "fab fa-ups" => "ups",
      "fab fa-usb" => "usb",
      "fas fa-user" => "user",
      "far fa-user" => "far-user",
      "fas fa-user-alt" => "user-alt",
      "fas fa-user-alt-slash" => "user-alt-slash",
      "fas fa-user-astronaut" => "user-astronaut",
      "fas fa-user-check" => "user-check",
      "fas fa-user-circle" => "user-circle",
      "far fa-user-circle" => "far-user-circle",
      "fas fa-user-clock" => "user-clock",
      "fas fa-user-cog" => "user-cog",
      "fas fa-user-edit" => "user-edit",
      "fas fa-user-friends" => "user-friends",
      "fas fa-user-graduate" => "user-graduate",
      "fas fa-user-injured" => "user-injured",
      "fas fa-user-lock" => "user-lock",
      "fas fa-user-md" => "user-md",
      "fas fa-user-minus" => "user-minus",
      "fas fa-user-ninja" => "user-ninja",
      "fas fa-user-nurse" => "user-nurse",
      "fas fa-user-plus" => "user-plus",
      "fas fa-user-secret" => "user-secret",
      "fas fa-user-shield" => "user-shield",
      "fas fa-user-slash" => "user-slash",
      "fas fa-user-tag" => "user-tag",
      "fas fa-user-tie" => "user-tie",
      "fas fa-user-times" => "user-times",
      "fas fa-users" => "users",
      "fas fa-users-cog" => "users-cog",
      "fab fa-usps" => "usps",
      "fab fa-ussunnah" => "ussunnah",
      "fas fa-utensil-spoon" => "utensil-spoon",
      "fas fa-utensils" => "utensils",
      "fab fa-vaadin" => "vaadin",
      "fas fa-vector-square" => "vector-square",
      "fas fa-venus" => "venus",
      "fas fa-venus-double" => "venus-double",
      "fas fa-venus-mars" => "venus-mars",
      "fab fa-viacoin" => "viacoin",
      "fab fa-viadeo" => "viadeo",
      "fab fa-viadeo-square" => "viadeo-square",
      "fas fa-vial" => "vial",
      "fas fa-vials" => "vials",
      "fab fa-viber" => "viber",
      "fas fa-video" => "video",
      "fas fa-video-slash" => "video-slash",
      "fas fa-vihara" => "vihara",
      "fab fa-vimeo" => "vimeo",
      "fab fa-vimeo-square" => "vimeo-square",
      "fab fa-vimeo-v" => "vimeo-v",
      "fab fa-vine" => "vine",
      "fab fa-vk" => "vk",
      "fab fa-vnv" => "vnv",
      "fas fa-voicemail" => "voicemail",
      "fas fa-volleyball-ball" => "volleyball-ball",
      "fas fa-volume-down" => "volume-down",
      "fas fa-volume-mute" => "volume-mute",
      "fas fa-volume-off" => "volume-off",
      "fas fa-volume-up" => "volume-up",
      "fas fa-vote-yea" => "vote-yea",
      "fas fa-vr-cardboard" => "vr-cardboard",
      "fab fa-vuejs" => "vuejs",
      "fas fa-walking" => "walking",
      "fas fa-wallet" => "wallet",
      "fas fa-warehouse" => "warehouse",
      "fas fa-water" => "water",
      "fas fa-wave-square" => "wave-square",
      "fab fa-waze" => "waze",
      "fab fa-weebly" => "weebly",
      "fab fa-weibo" => "weibo",
      "fas fa-weight" => "weight",
      "fas fa-weight-hanging" => "weight-hanging",
      "fab fa-weixin" => "weixin",
      "fab fa-whatsapp" => "whatsapp",
      "fab fa-whatsapp-square" => "whatsapp-square",
      "fas fa-wheelchair" => "wheelchair",
      "fab fa-whmcs" => "whmcs",
      "fas fa-wifi" => "wifi",
      "fab fa-wikipedia-w" => "wikipedia-w",
      "fas fa-wind" => "wind",
      "fas fa-window-close" => "window-close",
      "far fa-window-close" => "far-window-close",
      "fas fa-window-maximize" => "window-maximize",
      "far fa-window-maximize" => "far-window-maximize",
      "fas fa-window-minimize" => "window-minimize",
      "far fa-window-minimize" => "far-window-minimize",
      "fas fa-window-restore" => "window-restore",
      "far fa-window-restore" => "far-window-restore",
      "fab fa-windows" => "windows",
      "fas fa-wine-bottle" => "wine-bottle",
      "fas fa-wine-glass" => "wine-glass",
      "fas fa-wine-glass-alt" => "wine-glass-alt",
      "fab fa-wix" => "wix",
      "fab fa-wizards-of-the-coast" => "wizards-of-the-coast",
      "fab fa-wolf-pack-battalion" => "wolf-pack-battalion",
      "fas fa-won-sign" => "won-sign",
      "fab fa-wordpress" => "wordpress",
      "fab fa-wordpress-simple" => "wordpress-simple",
      "fab fa-wpbeginner" => "wpbeginner",
      "fab fa-wpexplorer" => "wpexplorer",
      "fab fa-wpforms" => "wpforms",
      "fab fa-wpressr" => "wpressr",
      "fas fa-wrench" => "wrench",
      "fas fa-x-ray" => "x-ray",
      "fab fa-xbox" => "xbox",
      "fab fa-xing" => "xing",
      "fab fa-xing-square" => "xing-square",
      "fab fa-y-combinator" => "y-combinator",
      "fab fa-yahoo" => "yahoo",
      "fab fa-yammer" => "yammer",
      "fab fa-yandex" => "yandex",
      "fab fa-yandex-international" => "yandex-international",
      "fab fa-yarn" => "yarn",
      "fab fa-yelp" => "yelp",
      "fas fa-yen-sign" => "yen-sign",
      "fas fa-yin-yang" => "yin-yang",
      "fab fa-yoast" => "yoast",
      "fab fa-youtube" => "youtube",
      "fab fa-youtube-square" => "youtube-square",
      "fab fa-zhihu" => "zhihu",
    ];
  }
  
  public static function get_font_awesome_4_icons() {
    return [
      'fa fa-500px' => '500px',
      'fa fa-address-book' => 'address-book',
      'fa fa-address-book-o' => 'address-book-o',
      'fa fa-address-card' => 'address-card',
      'fa fa-address-card-o' => 'address-card-o',
      'fa fa-adjust' => 'adjust',
      'fa fa-adn' => 'adn',
      'fa fa-align-center' => 'align-center',
      'fa fa-align-justify' => 'align-justify',
      'fa fa-align-left' => 'align-left',
      'fa fa-align-right' => 'align-right',
      'fa fa-amazon' => 'amazon',
      'fa fa-ambulance' => 'ambulance',
      'fa fa-american-sign-language-interpreting' => 'american-sign-language-interpreting',
      'fa fa-anchor' => 'anchor',
      'fa fa-android' => 'android',
      'fa fa-angellist' => 'angellist',
      'fa fa-angle-double-down' => 'angle-double-down',
      'fa fa-angle-double-left' => 'angle-double-left',
      'fa fa-angle-double-right' => 'angle-double-right',
      'fa fa-angle-double-up' => 'angle-double-up',
      'fa fa-angle-down' => 'angle-down',
      'fa fa-angle-left' => 'angle-left',
      'fa fa-angle-right' => 'angle-right',
      'fa fa-angle-up' => 'angle-up',
      'fa fa-apple' => 'apple',
      'fa fa-archive' => 'archive',
      'fa fa-area-chart' => 'area-chart',
      'fa fa-arrow-circle-down' => 'arrow-circle-down',
      'fa fa-arrow-circle-left' => 'arrow-circle-left',
      'fa fa-arrow-circle-o-down' => 'arrow-circle-o-down',
      'fa fa-arrow-circle-o-left' => 'arrow-circle-o-left',
      'fa fa-arrow-circle-o-right' => 'arrow-circle-o-right',
      'fa fa-arrow-circle-o-up' => 'arrow-circle-o-up',
      'fa fa-arrow-circle-right' => 'arrow-circle-right',
      'fa fa-arrow-circle-up' => 'arrow-circle-up',
      'fa fa-arrow-down' => 'arrow-down',
      'fa fa-arrow-left' => 'arrow-left',
      'fa fa-arrow-right' => 'arrow-right',
      'fa fa-arrow-up' => 'arrow-up',
      'fa fa-arrows' => 'arrows',
      'fa fa-arrows-alt' => 'arrows-alt',
      'fa fa-arrows-h' => 'arrows-h',
      'fa fa-arrows-v' => 'arrows-v',
      'fa fa-asl-interpreting' => 'asl-interpreting',
      'fa fa-assistive-listening-systems' => 'assistive-listening-systems',
      'fa fa-asterisk' => 'asterisk',
      'fa fa-at' => 'at',
      'fa fa-audio-description' => 'audio-description',
      'fa fa-automobile' => 'automobile',
      'fa fa-backward' => 'backward',
      'fa fa-balance-scale' => 'balance-scale',
      'fa fa-ban' => 'ban',
      'fa fa-bandcamp' => 'bandcamp',
      'fa fa-bank' => 'bank',
      'fa fa-bar-chart' => 'bar-chart',
      'fa fa-bar-chart-o' => 'bar-chart-o',
      'fa fa-barcode' => 'barcode',
      'fa fa-bars' => 'bars',
      'fa fa-bath' => 'bath',
      'fa fa-bathtub' => 'bathtub',
      'fa fa-battery' => 'battery',
      'fa fa-battery-0' => 'battery-0',
      'fa fa-battery-1' => 'battery-1',
      'fa fa-battery-2' => 'battery-2',
      'fa fa-battery-3' => 'battery-3',
      'fa fa-battery-4' => 'battery-4',
      'fa fa-battery-empty' => 'battery-empty',
      'fa fa-battery-full' => 'battery-full',
      'fa fa-battery-half' => 'battery-half',
      'fa fa-battery-quarter' => 'battery-quarter',
      'fa fa-battery-three-quarters' => 'battery-three-quarters',
      'fa fa-bed' => 'bed',
      'fa fa-beer' => 'beer',
      'fa fa-behance' => 'behance',
      'fa fa-behance-square' => 'behance-square',
      'fa fa-bell' => 'bell',
      'fa fa-bell-o' => 'bell-o',
      'fa fa-bell-slash' => 'bell-slash',
      'fa fa-bell-slash-o' => 'bell-slash-o',
      'fa fa-bicycle' => 'bicycle',
      'fa fa-binoculars' => 'binoculars',
      'fa fa-birthday-cake' => 'birthday-cake',
      'fa fa-bitbucket' => 'bitbucket',
      'fa fa-bitbucket-square' => 'bitbucket-square',
      'fa fa-bitcoin' => 'bitcoin',
      'fa fa-black-tie' => 'black-tie',
      'fa fa-blind' => 'blind',
      'fa fa-bluetooth' => 'bluetooth',
      'fa fa-bluetooth-b' => 'bluetooth-b',
      'fa fa-bold' => 'bold',
      'fa fa-bolt' => 'bolt',
      'fa fa-bomb' => 'bomb',
      'fa fa-book' => 'book',
      'fa fa-bookmark' => 'bookmark',
      'fa fa-bookmark-o' => 'bookmark-o',
      'fa fa-braille' => 'braille',
      'fa fa-briefcase' => 'briefcase',
      'fa fa-btc' => 'btc',
      'fa fa-bug' => 'bug',
      'fa fa-building' => 'building',
      'fa fa-building-o' => 'building-o',
      'fa fa-bullhorn' => 'bullhorn',
      'fa fa-bullseye' => 'bullseye',
      'fa fa-bus' => 'bus',
      'fa fa-buysellads' => 'buysellads',
      'fa fa-cab' => 'cab',
      'fa fa-calculator' => 'calculator',
      'fa fa-calendar' => 'calendar',
      'fa fa-calendar-check-o' => 'calendar-check-o',
      'fa fa-calendar-minus-o' => 'calendar-minus-o',
      'fa fa-calendar-o' => 'calendar-o',
      'fa fa-calendar-plus-o' => 'calendar-plus-o',
      'fa fa-calendar-times-o' => 'calendar-times-o',
      'fa fa-camera' => 'camera',
      'fa fa-camera-retro' => 'camera-retro',
      'fa fa-car' => 'car',
      'fa fa-caret-down' => 'caret-down',
      'fa fa-caret-left' => 'caret-left',
      'fa fa-caret-right' => 'caret-right',
      'fa fa-caret-square-o-down' => 'caret-square-o-down',
      'fa fa-caret-square-o-left' => 'caret-square-o-left',
      'fa fa-caret-square-o-right' => 'caret-square-o-right',
      'fa fa-caret-square-o-up' => 'caret-square-o-up',
      'fa fa-caret-up' => 'caret-up',
      'fa fa-cart-arrow-down' => 'cart-arrow-down',
      'fa fa-cart-plus' => 'cart-plus',
      'fa fa-cc' => 'cc',
      'fa fa-cc-amex' => 'cc-amex',
      'fa fa-cc-diners-club' => 'cc-diners-club',
      'fa fa-cc-discover' => 'cc-discover',
      'fa fa-cc-jcb' => 'cc-jcb',
      'fa fa-cc-mastercard' => 'cc-mastercard',
      'fa fa-cc-paypal' => 'cc-paypal',
      'fa fa-cc-stripe' => 'cc-stripe',
      'fa fa-cc-visa' => 'cc-visa',
      'fa fa-certificate' => 'certificate',
      'fa fa-chain' => 'chain',
      'fa fa-chain-broken' => 'chain-broken',
      'fa fa-check' => 'check',
      'fa fa-check-circle' => 'check-circle',
      'fa fa-check-circle-o' => 'check-circle-o',
      'fa fa-check-square' => 'check-square',
      'fa fa-check-square-o' => 'check-square-o',
      'fa fa-chevron-circle-down' => 'chevron-circle-down',
      'fa fa-chevron-circle-left' => 'chevron-circle-left',
      'fa fa-chevron-circle-right' => 'chevron-circle-right',
      'fa fa-chevron-circle-up' => 'chevron-circle-up',
      'fa fa-chevron-down' => 'chevron-down',
      'fa fa-chevron-left' => 'chevron-left',
      'fa fa-chevron-right' => 'chevron-right',
      'fa fa-chevron-up' => 'chevron-up',
      'fa fa-child' => 'child',
      'fa fa-chrome' => 'chrome',
      'fa fa-circle' => 'circle',
      'fa fa-circle-o' => 'circle-o',
      'fa fa-circle-o-notch' => 'circle-o-notch',
      'fa fa-circle-thin' => 'circle-thin',
      'fa fa-clipboard' => 'clipboard',
      'fa fa-clock-o' => 'clock-o',
      'fa fa-clone' => 'clone',
      'fa fa-close' => 'close',
      'fa fa-cloud' => 'cloud',
      'fa fa-cloud-download' => 'cloud-download',
      'fa fa-cloud-upload' => 'cloud-upload',
      'fa fa-cny' => 'cny',
      'fa fa-code' => 'code',
      'fa fa-code-fork' => 'code-fork',
      'fa fa-codepen' => 'codepen',
      'fa fa-codiepie' => 'codiepie',
      'fa fa-coffee' => 'coffee',
      'fa fa-cog' => 'cog',
      'fa fa-cogs' => 'cogs',
      'fa fa-columns' => 'columns',
      'fa fa-comment' => 'comment',
      'fa fa-comment-o' => 'comment-o',
      'fa fa-commenting' => 'commenting',
      'fa fa-commenting-o' => 'commenting-o',
      'fa fa-comments' => 'comments',
      'fa fa-comments-o' => 'comments-o',
      'fa fa-compass' => 'compass',
      'fa fa-compress' => 'compress',
      'fa fa-connectdevelop' => 'connectdevelop',
      'fa fa-contao' => 'contao',
      'fa fa-copy' => 'copy',
      'fa fa-copyright' => 'copyright',
      'fa fa-creative-commons' => 'creative-commons',
      'fa fa-credit-card' => 'credit-card',
      'fa fa-credit-card-alt' => 'credit-card-alt',
      'fa fa-crop' => 'crop',
      'fa fa-crosshairs' => 'crosshairs',
      'fa fa-css3' => 'css3',
      'fa fa-cube' => 'cube',
      'fa fa-cubes' => 'cubes',
      'fa fa-cut' => 'cut',
      'fa fa-cutlery' => 'cutlery',
      'fa fa-dashboard' => 'dashboard',
      'fa fa-dashcube' => 'dashcube',
      'fa fa-database' => 'database',
      'fa fa-deaf' => 'deaf',
      'fa fa-deafness' => 'deafness',
      'fa fa-dedent' => 'dedent',
      'fa fa-delicious' => 'delicious',
      'fa fa-desktop' => 'desktop',
      'fa fa-deviantart' => 'deviantart',
      'fa fa-diamond' => 'diamond',
      'fa fa-digg' => 'digg',
      'fa fa-dollar' => 'dollar',
      'fa fa-dot-circle-o' => 'dot-circle-o',
      'fa fa-download' => 'download',
      'fa fa-dribbble' => 'dribbble',
      'fa fa-drivers-license' => 'drivers-license',
      'fa fa-drivers-license-o' => 'drivers-license-o',
      'fa fa-dropbox' => 'dropbox',
      'fa fa-drupal' => 'drupal',
      'fa fa-edge' => 'edge',
      'fa fa-edit' => 'edit',
      'fa fa-eercast' => 'eercast',
      'fa fa-eject' => 'eject',
      'fa fa-ellipsis-h' => 'ellipsis-h',
      'fa fa-ellipsis-v' => 'ellipsis-v',
      'fa fa-empire' => 'empire',
      'fa fa-envelope' => 'envelope',
      'fa fa-envelope-o' => 'envelope-o',
      'fa fa-envelope-open' => 'envelope-open',
      'fa fa-envelope-open-o' => 'envelope-open-o',
      'fa fa-envelope-square' => 'envelope-square',
      'fa fa-envira' => 'envira',
      'fa fa-eraser' => 'eraser',
      'fa fa-etsy' => 'etsy',
      'fa fa-eur' => 'eur',
      'fa fa-euro' => 'euro',
      'fa fa-exchange' => 'exchange',
      'fa fa-exclamation' => 'exclamation',
      'fa fa-exclamation-circle' => 'exclamation-circle',
      'fa fa-exclamation-triangle' => 'exclamation-triangle',
      'fa fa-expand' => 'expand',
      'fa fa-expeditedssl' => 'expeditedssl',
      'fa fa-external-link' => 'external-link',
      'fa fa-external-link-square' => 'external-link-square',
      'fa fa-eye' => 'eye',
      'fa fa-eye-slash' => 'eye-slash',
      'fa fa-eyedropper' => 'eyedropper',
      'fa fa-fa' => 'fa',
      'fa fa-facebook' => 'facebook',
      'fa fa-facebook-f' => 'facebook-f',
      'fa fa-facebook-official' => 'facebook-official',
      'fa fa-facebook-square' => 'facebook-square',
      'fa fa-fast-backward' => 'fast-backward',
      'fa fa-fast-forward' => 'fast-forward',
      'fa fa-fax' => 'fax',
      'fa fa-feed' => 'feed',
      'fa fa-female' => 'female',
      'fa fa-fighter-jet' => 'fighter-jet',
      'fa fa-file' => 'file',
      'fa fa-file-archive-o' => 'file-archive-o',
      'fa fa-file-audio-o' => 'file-audio-o',
      'fa fa-file-code-o' => 'file-code-o',
      'fa fa-file-excel-o' => 'file-excel-o',
      'fa fa-file-image-o' => 'file-image-o',
      'fa fa-file-movie-o' => 'file-movie-o',
      'fa fa-file-o' => 'file-o',
      'fa fa-file-pdf-o' => 'file-pdf-o',
      'fa fa-file-photo-o' => 'file-photo-o',
      'fa fa-file-picture-o' => 'file-picture-o',
      'fa fa-file-powerpoint-o' => 'file-powerpoint-o',
      'fa fa-file-sound-o' => 'file-sound-o',
      'fa fa-file-text' => 'file-text',
      'fa fa-file-text-o' => 'file-text-o',
      'fa fa-file-video-o' => 'file-video-o',
      'fa fa-file-word-o' => 'file-word-o',
      'fa fa-file-zip-o' => 'file-zip-o',
      'fa fa-files-o' => 'files-o',
      'fa fa-film' => 'film',
      'fa fa-filter' => 'filter',
      'fa fa-fire' => 'fire',
      'fa fa-fire-extinguisher' => 'fire-extinguisher',
      'fa fa-firefox' => 'firefox',
      'fa fa-first-order' => 'first-order',
      'fa fa-flag' => 'flag',
      'fa fa-flag-checkered' => 'flag-checkered',
      'fa fa-flag-o' => 'flag-o',
      'fa fa-flash' => 'flash',
      'fa fa-flask' => 'flask',
      'fa fa-flickr' => 'flickr',
      'fa fa-floppy-o' => 'floppy-o',
      'fa fa-folder' => 'folder',
      'fa fa-folder-o' => 'folder-o',
      'fa fa-folder-open' => 'folder-open',
      'fa fa-folder-open-o' => 'folder-open-o',
      'fa fa-font' => 'font',
      'fa fa-font-awesome' => 'font-awesome',
      'fa fa-fonticons' => 'fonticons',
      'fa fa-fort-awesome' => 'fort-awesome',
      'fa fa-forumbee' => 'forumbee',
      'fa fa-forward' => 'forward',
      'fa fa-foursquare' => 'foursquare',
      'fa fa-free-code-camp' => 'free-code-camp',
      'fa fa-frown-o' => 'frown-o',
      'fa fa-futbol-o' => 'futbol-o',
      'fa fa-gamepad' => 'gamepad',
      'fa fa-gavel' => 'gavel',
      'fa fa-gbp' => 'gbp',
      'fa fa-ge' => 'ge',
      'fa fa-gear' => 'gear',
      'fa fa-gears' => 'gears',
      'fa fa-genderless' => 'genderless',
      'fa fa-get-pocket' => 'get-pocket',
      'fa fa-gg' => 'gg',
      'fa fa-gg-circle' => 'gg-circle',
      'fa fa-gift' => 'gift',
      'fa fa-git' => 'git',
      'fa fa-git-square' => 'git-square',
      'fa fa-github' => 'github',
      'fa fa-github-alt' => 'github-alt',
      'fa fa-github-square' => 'github-square',
      'fa fa-gitlab' => 'gitlab',
      'fa fa-gittip' => 'gittip',
      'fa fa-glass' => 'glass',
      'fa fa-glide' => 'glide',
      'fa fa-glide-g' => 'glide-g',
      'fa fa-globe' => 'globe',
      'fa fa-google' => 'google',
      'fa fa-google-plus' => 'google-plus',
      'fa fa-google-plus-circle' => 'google-plus-circle',
      'fa fa-google-plus-official' => 'google-plus-official',
      'fa fa-google-plus-square' => 'google-plus-square',
      'fa fa-google-wallet' => 'google-wallet',
      'fa fa-graduation-cap' => 'graduation-cap',
      'fa fa-gratipay' => 'gratipay',
      'fa fa-grav' => 'grav',
      'fa fa-group' => 'group',
      'fa fa-h-square' => 'h-square',
      'fa fa-hacker-news' => 'hacker-news',
      'fa fa-hand-grab-o' => 'hand-grab-o',
      'fa fa-hand-lizard-o' => 'hand-lizard-o',
      'fa fa-hand-o-down' => 'hand-o-down',
      'fa fa-hand-o-left' => 'hand-o-left',
      'fa fa-hand-o-right' => 'hand-o-right',
      'fa fa-hand-o-up' => 'hand-o-up',
      'fa fa-hand-paper-o' => 'hand-paper-o',
      'fa fa-hand-peace-o' => 'hand-peace-o',
      'fa fa-hand-pointer-o' => 'hand-pointer-o',
      'fa fa-hand-rock-o' => 'hand-rock-o',
      'fa fa-hand-scissors-o' => 'hand-scissors-o',
      'fa fa-hand-spock-o' => 'hand-spock-o',
      'fa fa-hand-stop-o' => 'hand-stop-o',
      'fa fa-handshake-o' => 'handshake-o',
      'fa fa-hard-of-hearing' => 'hard-of-hearing',
      'fa fa-hashtag' => 'hashtag',
      'fa fa-hdd-o' => 'hdd-o',
      'fa fa-header' => 'header',
      'fa fa-headphones' => 'headphones',
      'fa fa-heart' => 'heart',
      'fa fa-heart-o' => 'heart-o',
      'fa fa-heartbeat' => 'heartbeat',
      'fa fa-history' => 'history',
      'fa fa-home' => 'home',
      'fa fa-hospital-o' => 'hospital-o',
      'fa fa-hotel' => 'hotel',
      'fa fa-hourglass' => 'hourglass',
      'fa fa-hourglass-1' => 'hourglass-1',
      'fa fa-hourglass-2' => 'hourglass-2',
      'fa fa-hourglass-3' => 'hourglass-3',
      'fa fa-hourglass-end' => 'hourglass-end',
      'fa fa-hourglass-half' => 'hourglass-half',
      'fa fa-hourglass-o' => 'hourglass-o',
      'fa fa-hourglass-start' => 'hourglass-start',
      'fa fa-houzz' => 'houzz',
      'fa fa-html5' => 'html5',
      'fa fa-i-cursor' => 'i-cursor',
      'fa fa-id-badge' => 'id-badge',
      'fa fa-id-card' => 'id-card',
      'fa fa-id-card-o' => 'id-card-o',
      'fa fa-ils' => 'ils',
      'fa fa-image' => 'image',
      'fa fa-imdb' => 'imdb',
      'fa fa-inbox' => 'inbox',
      'fa fa-indent' => 'indent',
      'fa fa-industry' => 'industry',
      'fa fa-info' => 'info',
      'fa fa-info-circle' => 'info-circle',
      'fa fa-inr' => 'inr',
      'fa fa-instagram' => 'instagram',
      'fa fa-institution' => 'institution',
      'fa fa-internet-explorer' => 'internet-explorer',
      'fa fa-intersex' => 'intersex',
      'fa fa-ioxhost' => 'ioxhost',
      'fa fa-italic' => 'italic',
      'fa fa-joomla' => 'joomla',
      'fa fa-jpy' => 'jpy',
      'fa fa-jsfiddle' => 'jsfiddle',
      'fa fa-key' => 'key',
      'fa fa-keyboard-o' => 'keyboard-o',
      'fa fa-krw' => 'krw',
      'fa fa-language' => 'language',
      'fa fa-laptop' => 'laptop',
      'fa fa-lastfm' => 'lastfm',
      'fa fa-lastfm-square' => 'lastfm-square',
      'fa fa-leaf' => 'leaf',
      'fa fa-leanpub' => 'leanpub',
      'fa fa-legal' => 'legal',
      'fa fa-lemon-o' => 'lemon-o',
      'fa fa-level-down' => 'level-down',
      'fa fa-level-up' => 'level-up',
      'fa fa-life-bouy' => 'life-bouy',
      'fa fa-life-buoy' => 'life-buoy',
      'fa fa-life-ring' => 'life-ring',
      'fa fa-life-saver' => 'life-saver',
      'fa fa-lightbulb-o' => 'lightbulb-o',
      'fa fa-line-chart' => 'line-chart',
      'fa fa-link' => 'link',
      'fa fa-linkedin' => 'linkedin',
      'fa fa-linkedin-square' => 'linkedin-square',
      'fa fa-linode' => 'linode',
      'fa fa-linux' => 'linux',
      'fa fa-list' => 'list',
      'fa fa-list-alt' => 'list-alt',
      'fa fa-list-ol' => 'list-ol',
      'fa fa-list-ul' => 'list-ul',
      'fa fa-location-arrow' => 'location-arrow',
      'fa fa-lock' => 'lock',
      'fa fa-long-arrow-down' => 'long-arrow-down',
      'fa fa-long-arrow-left' => 'long-arrow-left',
      'fa fa-long-arrow-right' => 'long-arrow-right',
      'fa fa-long-arrow-up' => 'long-arrow-up',
      'fa fa-low-vision' => 'low-vision',
      'fa fa-magic' => 'magic',
      'fa fa-magnet' => 'magnet',
      'fa fa-mail-forward' => 'mail-forward',
      'fa fa-mail-reply' => 'mail-reply',
      'fa fa-mail-reply-all' => 'mail-reply-all',
      'fa fa-male' => 'male',
      'fa fa-map' => 'map',
      'fa fa-map-marker' => 'map-marker',
      'fa fa-map-o' => 'map-o',
      'fa fa-map-pin' => 'map-pin',
      'fa fa-map-signs' => 'map-signs',
      'fa fa-mars' => 'mars',
      'fa fa-mars-double' => 'mars-double',
      'fa fa-mars-stroke' => 'mars-stroke',
      'fa fa-mars-stroke-h' => 'mars-stroke-h',
      'fa fa-mars-stroke-v' => 'mars-stroke-v',
      'fa fa-maxcdn' => 'maxcdn',
      'fa fa-meanpath' => 'meanpath',
      'fa fa-medium' => 'medium',
      'fa fa-medkit' => 'medkit',
      'fa fa-meetup' => 'meetup',
      'fa fa-meh-o' => 'meh-o',
      'fa fa-mercury' => 'mercury',
      'fa fa-microchip' => 'microchip',
      'fa fa-microphone' => 'microphone',
      'fa fa-microphone-slash' => 'microphone-slash',
      'fa fa-minus' => 'minus',
      'fa fa-minus-circle' => 'minus-circle',
      'fa fa-minus-square' => 'minus-square',
      'fa fa-minus-square-o' => 'minus-square-o',
      'fa fa-mixcloud' => 'mixcloud',
      'fa fa-mobile' => 'mobile',
      'fa fa-mobile-phone' => 'mobile-phone',
      'fa fa-modx' => 'modx',
      'fa fa-money' => 'money',
      'fa fa-moon-o' => 'moon-o',
      'fa fa-mortar-board' => 'mortar-board',
      'fa fa-motorcycle' => 'motorcycle',
      'fa fa-mouse-pointer' => 'mouse-pointer',
      'fa fa-music' => 'music',
      'fa fa-navicon' => 'navicon',
      'fa fa-neuter' => 'neuter',
      'fa fa-newspaper-o' => 'newspaper-o',
      'fa fa-object-group' => 'object-group',
      'fa fa-object-ungroup' => 'object-ungroup',
      'fa fa-odnoklassniki' => 'odnoklassniki',
      'fa fa-odnoklassniki-square' => 'odnoklassniki-square',
      'fa fa-opencart' => 'opencart',
      'fa fa-openid' => 'openid',
      'fa fa-opera' => 'opera',
      'fa fa-optin-monster' => 'optin-monster',
      'fa fa-outdent' => 'outdent',
      'fa fa-pagelines' => 'pagelines',
      'fa fa-paint-brush' => 'paint-brush',
      'fa fa-paper-plane' => 'paper-plane',
      'fa fa-paper-plane-o' => 'paper-plane-o',
      'fa fa-paperclip' => 'paperclip',
      'fa fa-paragraph' => 'paragraph',
      'fa fa-paste' => 'paste',
      'fa fa-pause' => 'pause',
      'fa fa-pause-circle' => 'pause-circle',
      'fa fa-pause-circle-o' => 'pause-circle-o',
      'fa fa-paw' => 'paw',
      'fa fa-paypal' => 'paypal',
      'fa fa-pencil' => 'pencil',
      'fa fa-pencil-square' => 'pencil-square',
      'fa fa-pencil-square-o' => 'pencil-square-o',
      'fa fa-percent' => 'percent',
      'fa fa-phone' => 'phone',
      'fa fa-phone-square' => 'phone-square',
      'fa fa-photo' => 'photo',
      'fa fa-picture-o' => 'picture-o',
      'fa fa-pie-chart' => 'pie-chart',
      'fa fa-pied-piper' => 'pied-piper',
      'fa fa-pied-piper-alt' => 'pied-piper-alt',
      'fa fa-pied-piper-pp' => 'pied-piper-pp',
      'fa fa-pinterest' => 'pinterest',
      'fa fa-pinterest-p' => 'pinterest-p',
      'fa fa-pinterest-square' => 'pinterest-square',
      'fa fa-plane' => 'plane',
      'fa fa-play' => 'play',
      'fa fa-play-circle' => 'play-circle',
      'fa fa-play-circle-o' => 'play-circle-o',
      'fa fa-plug' => 'plug',
      'fa fa-plus' => 'plus',
      'fa fa-plus-circle' => 'plus-circle',
      'fa fa-plus-square' => 'plus-square',
      'fa fa-plus-square-o' => 'plus-square-o',
      'fa fa-podcast' => 'podcast',
      'fa fa-power-off' => 'power-off',
      'fa fa-print' => 'print',
      'fa fa-product-hunt' => 'product-hunt',
      'fa fa-pull-left' => 'pull-left',
      'fa fa-pull-right' => 'pull-right',
      'fa fa-puzzle-piece' => 'puzzle-piece',
      'fa fa-qq' => 'qq',
      'fa fa-qrcode' => 'qrcode',
      'fa fa-question' => 'question',
      'fa fa-question-circle' => 'question-circle',
      'fa fa-question-circle-o' => 'question-circle-o',
      'fa fa-quora' => 'quora',
      'fa fa-quote-left' => 'quote-left',
      'fa fa-quote-right' => 'quote-right',
      'fa fa-ra' => 'ra',
      'fa fa-random' => 'random',
      'fa fa-ravelry' => 'ravelry',
      'fa fa-rebel' => 'rebel',
      'fa fa-recycle' => 'recycle',
      'fa fa-reddit' => 'reddit',
      'fa fa-reddit-alien' => 'reddit-alien',
      'fa fa-reddit-square' => 'reddit-square',
      'fa fa-refresh' => 'refresh',
      'fa fa-registered' => 'registered',
      'fa fa-remove' => 'remove',
      'fa fa-renren' => 'renren',
      'fa fa-reorder' => 'reorder',
      'fa fa-repeat' => 'repeat',
      'fa fa-reply' => 'reply',
      'fa fa-reply-all' => 'reply-all',
      'fa fa-resistance' => 'resistance',
      'fa fa-retweet' => 'retweet',
      'fa fa-rmb' => 'rmb',
      'fa fa-road' => 'road',
      'fa fa-rocket' => 'rocket',
      'fa fa-rotate-left' => 'rotate-left',
      'fa fa-rotate-right' => 'rotate-right',
      'fa fa-rouble' => 'rouble',
      'fa fa-rss' => 'rss',
      'fa fa-rss-square' => 'rss-square',
      'fa fa-rub' => 'rub',
      'fa fa-ruble' => 'ruble',
      'fa fa-rupee' => 'rupee',
      'fa fa-s15' => 's15',
      'fa fa-safari' =>far- 'safarfar-i',
      'fa fa-save' => 'save',
      'fa fa-scissors' => 'scissors',
      'fa fa-scribd' => 'scribd',
      'fa fa-search' => 'search',
      'fa fa-search-minus' => 'search-minus',
      'fa fa-search-plus' => 'search-plus',
      'fa fa-sellsy' => 'sellsy',
      'fa fa-send' => 'send',
      'fa fa-send-o' => 'send-o',
      'fa fa-server' => 'server',
      'fa fa-share' => 'share',
      'fa fa-share-alt' => 'share-alt',
      'fa fa-share-alt-square' => 'share-alt-square',
      'fa fa-share-square' => 'share-square',
      'fa fa-share-square-o' => 'share-square-o',
      'fa fa-shekel' => 'shekel',
      'fa fa-sheqel' => 'sheqel',
      'fa fa-shield' => 'shield',
      'fa fa-ship' => 'ship',
      'fa fa-shirtsinbulk' => 'shirtsinbulk',
      'fa fa-shopping-bag' => 'shopping-bag',
      'fa fa-shopping-basket' => 'shopping-basket',
      'fa fa-shopping-cart' => 'shopping-cart',
      'fa fa-shower' => 'shower',
      'fa fa-sign-in' => 'sign-in',
      'fa fa-sign-language' => 'sign-language',
      'fa fa-sign-out' => 'sign-out',
      'fa fa-signal' => 'signal',
      'fa fa-signing' => 'signing',
      'fa fa-simplybuilt' => 'simplybuilt',
      'fa fa-sitemap' => 'sitemap',
      'fa fa-skyatlas' => 'skyatlas',
      'fa fa-skype' => 'skype',
      'fa fa-slack' => 'slack',
      'fa fa-sliders' => 'sliders',
      'fa fa-slideshare' => 'slideshare',
      'fa fa-smile-o' => 'smile-o',
      'fa fa-snapchat' => 'snapchat',
      'fa fa-snapchat-ghost' => 'snapchat-ghost',
      'fa fa-snapchat-square' => 'snapchat-square',
      'fa fa-snowflake-o' => 'snowflake-o',
      'fa fa-soccer-ball-o' => 'soccer-ball-o',
      'fa fa-sort' => 'sort',
      'fa fa-sort-alpha-asc' => 'sort-alpha-asc',
      'fa fa-sort-alpha-desc' => 'sort-alpha-desc',
      'fa fa-sort-amount-asc' => 'sort-amount-asc',
      'fa fa-sort-amount-desc' => 'sort-amount-desc',
      'fa fa-sort-asc' => 'sort-asc',
      'fa fa-sort-desc' => 'sort-desc',
      'fa fa-sort-down' => 'sort-down',
      'fa fa-sort-numeric-asc' => 'sort-numeric-asc',
      'fa fa-sort-numeric-desc' => 'sort-numeric-desc',
      'fa fa-sort-up' => 'sort-up',
      'fa fa-soundcloud' => 'soundcloud',
      'fa fa-space-shuttle' => 'space-shuttle',
      'fa fa-spinner' => 'spinner',
      'fa fa-spoon' => 'spoon',
      'fa fa-spotify' => 'spotify',
      'fa fa-square' => 'square',
      'fa fa-square-o' => 'square-o',
      'fa fa-stack-exchange' => 'stack-exchange',
      'fa fa-stack-overflow' => 'stack-overflow',
      'fa fa-star' => 'star',
      'fa fa-star-half' => 'star-half',
      'fa fa-star-half-empty' => 'star-half-empty',
      'fa fa-star-half-full' => 'star-half-full',
      'fa fa-star-half-o' => 'star-half-o',
      'fa fa-star-o' => 'star-o',
      'fa fa-steam' => 'steam',
      'fa fa-steam-square' => 'steam-square',
      'fa fa-step-backward' => 'step-backward',
      'fa fa-step-forward' => 'step-forward',
      'fa fa-stethoscope' => 'stethoscope',
      'fa fa-sticky-note' => 'sticky-note',
      'fa fa-sticky-note-o' => 'sticky-note-o',
      'fa fa-stop' => 'stop',
      'fa fa-stop-circle' => 'stop-circle',
      'fa fa-stop-circle-o' => 'stop-circle-o',
      'fa fa-street-view' => 'street-view',
      'fa fa-strikethrough' => 'strikethrough',
      'fa fa-stumbleupon' => 'stumbleupon',
      'fa fa-stumbleupon-circle' => 'stumbleupon-circle',
      'fa fa-subscript' => 'subscript',
      'fa fa-subway' => 'subway',
      'fa fa-suitcase' => 'suitcase',
      'fa fa-sun-o' => 'sun-o',
      'fa fa-superpowers' => 'superpowers',
      'fa fa-superscript' => 'superscript',
      'fa fa-support' => 'support',
      'fa fa-table' => 'table',
      'fa fa-tablet' => 'tablet',
      'fa fa-tachometer' => 'tachometer',
      'fa fa-tag' => 'tag',
      'fa fa-tags' => 'tags',
      'fa fa-tasks' => 'tasks',
      'fa fa-taxi' => 'taxi',
      'fa fa-telegram' => 'telegram',
      'fa fa-television' => 'television',
      'fa fa-tencent-weibo' => 'tencent-weibo',
      'fa fa-terminal' => 'terminal',
      'fa fa-text-height' => 'text-height',
      'fa fa-text-width' => 'text-width',
      'fa fa-th' => 'th',
      'fa fa-th-large' => 'th-large',
      'fa fa-th-list' => 'th-list',
      'fa fa-themeisle' => 'themeisle',
      'fa fa-thermometer' => 'thermometer',
      'fa fa-thermometer-0' => 'thermometer-0',
      'fa fa-thermometer-1' => 'thermometer-1',
      'fa fa-thermometer-2' => 'thermometer-2',
      'fa fa-thermometer-3' => 'thermometer-3',
      'fa fa-thermometer-4' => 'thermometer-4',
      'fa fa-thermometer-empty' => 'thermometer-empty',
      'fa fa-thermometer-full' => 'thermometer-full',
      'fa fa-thermometer-half' => 'thermometer-half',
      'fa fa-thermometer-quarter' => 'thermometer-quarter',
      'fa fa-thermometer-three-quarters' => 'thermometer-three-quarters',
      'fa fa-thumb-tack' => 'thumb-tack',
      'fa fa-thumbs-down' => 'thumbs-down',
      'fa fa-thumbs-o-down' => 'thumbs-o-down',
      'fa fa-thumbs-o-up' => 'thumbs-o-up',
      'fa fa-thumbs-up' => 'thumbs-up',
      'fa fa-ticket' => 'ticket',
      'fa fa-times' => 'times',
      'fa fa-times-circle' => 'times-circle',
      'fa fa-times-circle-o' => 'times-circle-o',
      'fa fa-times-rectangle' => 'times-rectangle',
      'fa fa-times-rectangle-o' => 'times-rectangle-o',
      'fa fa-tint' => 'tint',
      'fa fa-toggle-down' => 'toggle-down',
      'fa fa-toggle-left' => 'toggle-left',
      'fa fa-toggle-off' => 'toggle-off',
      'fa fa-toggle-on' => 'toggle-on',
      'fa fa-toggle-right' => 'toggle-right',
      'fa fa-toggle-up' => 'toggle-up',
      'fa fa-trademark' => 'trademark',
      'fa fa-train' => 'train',
      'fa fa-transgender' => 'transgender',
      'fa fa-transgender-alt' => 'transgender-alt',
      'fa fa-trash' => 'trash',
      'fa fa-trash-o' => 'trash-o',
      'fa fa-tree' => 'tree',
      'fa fa-trello' => 'trello',
      'fa fa-tripadvisor' => 'tripadvisor',
      'fa fa-trophy' => 'trophy',
      'fa fa-truck' => 'truck',
      'fa fa-try' => 'try',
      'fa fa-tty' => 'tty',
      'fa fa-tumblr' => 'tumblr',
      'fa fa-tumblr-square' => 'tumblr-square',
      'fa fa-turkish-lira' => 'turkish-lira',
      'fa fa-tv' => 'tv',
      'fa fa-twitch' => 'twitch',
      'fa fa-twitter' => 'twitter',
      'fa fa-twitter-square' => 'twitter-square',
      'fa fa-umbrella' => 'umbrella',
      'fa fa-underline' => 'underline',
      'fa fa-undo' => 'undo',
      'fa fa-universal-access' => 'universal-access',
      'fa fa-university' => 'university',
      'fa fa-unlink' => 'unlink',
      'fa fa-unlock' => 'unlock',
      'fa fa-unlock-alt' => 'unlock-alt',
      'fa fa-unsorted' => 'unsorted',
      'fa fa-upload' => 'upload',
      'fa fa-usb' => 'usb',
      'fa fa-usd' => 'usd',
      'fa fa-user' => 'user',
      'fa fa-user-circle' => 'user-circle',
      'fa fa-user-circle-o' => 'user-circle-o',
      'fa fa-user-md' => 'user-md',
      'fa fa-user-o' => 'user-o',
      'fa fa-user-plus' => 'user-plus',
      'fa fa-user-secret' => 'user-secret',
      'fa fa-user-times' => 'user-times',
      'fa fa-users' => 'users',
      'fa fa-vcard' => 'vcard',
      'fa fa-vcard-o' => 'vcard-o',
      'fa fa-venus' => 'venus',
      'fa fa-venus-double' => 'venus-double',
      'fa fa-venus-mars' => 'venus-mars',
      'fa fa-viacoin' => 'viacoin',
      'fa fa-viadeo' => 'viadeo',
      'fa fa-viadeo-square' => 'viadeo-square',
      'fa fa-video-camera' => 'video-camera',
      'fa fa-vimeo' => 'vimeo',
      'fa fa-vimeo-square' => 'vimeo-square',
      'fa fa-vine' => 'vine',
      'fa fa-vk' => 'vk',
      'fa fa-volume-control-phone' => 'volume-control-phone',
      'fa fa-volume-down' => 'volume-down',
      'fa fa-volume-off' => 'volume-off',
      'fa fa-volume-up' => 'volume-up',
      'fa fa-warning' => 'warning',
      'fa fa-wechat' => 'wechat',
      'fa fa-weibo' => 'weibo',
      'fa fa-weixin' => 'weixin',
      'fa fa-whatsapp' => 'whatsapp',
      'fa fa-wheelchair' => 'wheelchair',
      'fa fa-wheelchair-alt' => 'wheelchair-alt',
      'fa fa-wifi' => 'wifi',
      'fa fa-wikipedia-w' => 'wikipedia-w',
      'fa fa-window-close' => 'window-close',
      'fa fa-window-close-o' => 'window-close-o',
      'fa fa-window-maximize' => 'window-maximize',
      'fa fa-window-minimize' => 'window-minimize',
      'fa fa-window-restore' => 'window-restore',
      'fa fa-windows' => 'windows',
      'fa fa-won' => 'won',
      'fa fa-wordpress' => 'wordpress',
      'fa fa-wpbeginner' => 'wpbeginner',
      'fa fa-wpexplorer' => 'wpexplorer',
      'fa fa-wpforms' => 'wpforms',
      'fa fa-wrench' => 'wrench',
      'fa fa-xing' => 'xing',
      'fa fa-xing-square' => 'xing-square',
      'fa fa-y-combinator' => 'y-combinator',
      'fa fa-y-combinator-square' => 'y-combinator-square',
      'fa fa-yahoo' => 'yahoo',
      'fa fa-yc' => 'yc',
      'fa fa-yc-square' => 'yc-square',
      'fa fa-yelp' => 'yelp',
      'fa fa-yen' => 'yen',
      'fa fa-yoast' => 'yoast',
      'fa fa-youtube' => 'youtube',
      'fa fa-youtube-play' => 'youtube-play',
      'fa fa-youtube-square' => 'youtube-square',
    ];
  }

}
