<?php
namespace radiustheme\Optimax_Core;

use radiustheme\Optimax\Helper;
extract( $data );


$anchor = Helper::generate_elementor_anchor(
  $button_url,
  esc_html( $button_text ),
  'btn-fill gradient-accent  d-inline-flex align-items-center pricing-btn'
);

?>
<div class="rtel-pricing-plan-5 ul-zero">
  <div class="rtin-pricing-plan">
    <div class="price_and_currency">
      <span class="currency"><?php echo esc_html( $currency_icon ); ?></span>
      <span class="price"><?php echo esc_html( $price ); ?></span>
    </div>
    <div class="duration">
      / <?php echo esc_html( $duration ); ?>
    </div>
    <h3 class="rtin-title"><?php echo esc_html( $package_name ); ?></h3>
    <ul class="rtin-features">
      <?php foreach ($features as $feature): ?>
        <li>
          <?php
          extract( $feature );
          $final_icon_class  = " fas fa-check";
          $final_icon_image_url = '';
          if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
            $final_icon_class = $dynamic_icon_class;
          }
          if ( is_array( $icon_class['value'] ) ) {
            $final_icon_image_url = $icon_class['value']['url'];
          }
          ?>
          <?php if ( $has_icon ): ?>
            <span class="icon-wrapper">
              <?php if ( $final_icon_image_url ): ?>
                <img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="SVG Icon">
              <?php else: ?>
                <i style="color: <?php echo esc_attr( $icon_color ); ?>" class="<?php  echo esc_attr( $final_icon_class ); ?>"></i>
              <?php endif ?>
            </span>
          <?php endif ?>

          <span class="rtin-features-text">
            <?php echo esc_html( $feature['text'] ); ?>
          </span>
        </li>
      <?php endforeach ?>
    </ul>
    <?php echo wp_kses_post( $anchor ); ?>
  </div>
</div>
