<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Optimax_Core;
use Elementor\Group_Control_Image_Size;
use Elementor\Utils;
use radiustheme\Optimax\Helper;
extract( $data );

$prefix      = Constants::$theme_prefix;
$thumb_size  = "{$prefix}-size4";

$args = [
  'post_type'        => "{$prefix}_testimony",
  'posts_per_page'   => -1,
  'posts_per_page'   => $posts_per_page,
  'suppress_filters' => false,
  'orderby'          => $orderby,
];

switch ( $orderby ) {
  case 'title':
  case 'menu_order':
  $args['order'] = 'ASC';
  break;
}

$bool = isset($multiple_category);
$bool = $bool && is_array($multiple_category);
$bool = $bool && count( $multiple_category ) ;
if ($bool) {
  $args['tax_query'] = [
    [
      'taxonomy' => "{$prefix}_testimony_category",
      'terms' => $multiple_category, // Where term_id of Term 1 is "1".
      'include_children' => false
    ]
  ];
}
$posts = get_posts( $args );

$thumb = Utils::get_placeholder_image_src();

  $thumb = Group_Control_Image_Size::get_attachment_image_html( $data, 'image_size', 'image' );

?>
<div class="rtel-testimonial-1">
  <div class="row">
    <div class="col-lg-6">
      <div class="rtin-testimonial-left">
        <?php echo wp_kses_post($thumb);?>
      </div>
    </div>
    <div class="col-lg-6">
      <div class="rtin-testimonial-right">
        <div class="heading-layout1 text-lg-left">
          <h2><?php echo esc_html( $title ); ?></h2>
        </div>
        <div class="owl-carousel rt-owl-carousel rc-carousel dot-control-layout1" data-carousel-options="<?php echo esc_attr( $owl_data ); ?>">
          <?php foreach ($posts as $post): ?>
          <?php
          $designation  = get_post_meta( $post->ID, "{$prefix}_tes_designation", true );
          $content      = Helper::generate_excerpt( $post, $number_of_words_for_testimonial );
          ?>
            <div class="single-testimonial">
              <div class="item-paragraph"><?php echo wp_kses_post( $content ); ?></div>
              <h3 class="item-title"><?php echo esc_html( $post->post_title ); ?></h3>
              <div class="item-subtitle"><?php echo esc_html( $designation ); ?></div>
            </div>
          <?php  endforeach ?>
        </div>
    </div>
  </div>
</div>
</div> 

